SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


--
-- Struttura della tabella `aggiornamenti`
--

CREATE TABLE IF NOT EXISTS `aggiornamenti` (
  `id_aggiornamenti` int(11) NOT NULL AUTO_INCREMENT,
  `autore` varchar(100) NOT NULL,
  `titolo` varchar(255) NOT NULL,
  `data_inserimento` date NOT NULL DEFAULT '0000-00-00',
  `erogatore` varchar(255) NOT NULL,
  `scadenza` tinyint(1) NOT NULL,
  `data_scadenza` date NOT NULL DEFAULT '0000-00-00',
  `link` varchar(255) DEFAULT NULL,
  `descrizione` text,
  `allegato` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_aggiornamenti`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `albo`
--

CREATE TABLE IF NOT EXISTS `albo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `numero` int(6) NOT NULL,
  `protocollo` varchar(100) NOT NULL DEFAULT '',
  `oggetto` varchar(255) NOT NULL DEFAULT '',
  `categoria` varchar(50) NOT NULL DEFAULT 'Bandi e gare',
  `id_redattori` varchar(100) NOT NULL DEFAULT '0',
  `data` date NOT NULL DEFAULT '0000-00-00',
  `data_ins` date NOT NULL DEFAULT '0000-00-00',
  `data_mod` datetime DEFAULT '0000-00-00 00:00:00',
  `scadenza` date NOT NULL DEFAULT '0000-00-00',
  `link` varchar(255) DEFAULT NULL,
  `allegato` varchar(255) NOT NULL DEFAULT '',
  `note` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `altre_informazioni`
--

CREATE TABLE IF NOT EXISTS `altre_informazioni` (
  `id_altre_informazioni` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(100) NOT NULL,
  `informazioni` text NOT NULL,
  PRIMARY KEY (`id_altre_informazioni`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `alunni`
--

CREATE TABLE IF NOT EXISTS `alunni` (
  `utente` varchar(100) NOT NULL,
  `id_utente` int(11) NOT NULL AUTO_INCREMENT,
  `cf` varchar(16) NOT NULL,
  `nome` varchar(254) NOT NULL,
  `cognome` varchar(254) NOT NULL,
  `nome_genitore` varchar(255) NOT NULL,
  `cognome_genitore` varchar(255) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(254) NOT NULL,
  `num_accessi` int(6) DEFAULT '0',
  `ultimo_accesso` datetime DEFAULT '0000-00-00 00:00:00',
  `datains` datetime DEFAULT '0000-00-00 00:00:00',
  `id_classi` int(11) NOT NULL,
  `accessi_mobile` int(11) NOT NULL,
  PRIMARY KEY (`id_utente`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `alunni_disabili`
--

CREATE TABLE IF NOT EXISTS `alunni_disabili` (
  `id_alunni_disabili` int(11) NOT NULL AUTO_INCREMENT,
  `id_alunni` int(11) NOT NULL,
  PRIMARY KEY (`id_alunni_disabili`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `anagrafica`
--

CREATE TABLE IF NOT EXISTS `anagrafica` (
  `id_anagrafica` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(100) NOT NULL DEFAULT '',
  `indirizzo` varchar(100) NOT NULL DEFAULT '',
  `numero_civico` varchar(10) NOT NULL DEFAULT '',
  `cap` varchar(5) NOT NULL DEFAULT '',
  `citta` varchar(100) NOT NULL DEFAULT '',
  `provincia` varchar(4) NOT NULL DEFAULT '',
  `telefono_fisso` varchar(20) DEFAULT '',
  `cellulare` varchar(20) DEFAULT '',
  `email` varchar(40) DEFAULT '',
  `data_di_nascita` date NOT NULL DEFAULT '0000-00-00',
  `citta_di_nascita` varchar(100) NOT NULL,
  `provincia_di_nascita` varchar(30) NOT NULL,
  `fax` varchar(20) DEFAULT '',
  `sito_web` varchar(100) NOT NULL,
  `sesso` char(1) NOT NULL DEFAULT '',
  `stato_cv` varchar(20) NOT NULL,
  `autorizzazione_cv` tinyint(1) NOT NULL DEFAULT '0',
  `pdf_cv` varchar(100) NOT NULL,
  PRIMARY KEY (`id_anagrafica`),
  UNIQUE KEY `utente` (`utente`),
  KEY `utente_2` (`utente`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `aree`
--

CREATE TABLE IF NOT EXISTS `aree` (
  `id_aree` int(11) NOT NULL AUTO_INCREMENT,
  `area` varchar(100) NOT NULL,
  `id_sezione_aree` int(11) NOT NULL,
  `attivo` tinyint(1) NOT NULL DEFAULT '0',
  `blocco` tinyint(1) DEFAULT '0' COMMENT 'serve a rendere immodificabile la visibilità dell''area',
  `titolo` varchar(100) NOT NULL,
  `auth` varchar(255) NOT NULL,
  `menu` varchar(100) NOT NULL,
  PRIMARY KEY (`id_aree`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=26 ;

--
-- Dump dei dati per la tabella `aree`
--

INSERT INTO `aree` (`id_aree`, `area`, `id_sezione_aree`, `attivo`, `blocco`, `titolo`, `auth`, `menu`) VALUES
(1, 'richieste', 2, 1, 0, 'Richieste', '', 'menu_richieste.php'),
(2, 'area_datigenerali', 5, 1, 1, 'Amministrazione piattaforma', 'datigenerali', 'menu_datigenerali.php'),
(3, 'area_profilo', 5, 1, 1, 'Abilitazione accessi operatori', 'profilo', 'menu_profilo.php'),
(4, 'progetti', 1, 1, 0, 'Area Progetti', '', 'menu_progetti.php'),
(5, 'area_tracciamento', 5, 1, 0, 'Tracciamento', 'superuser', 'menu_tracciamento.php'),
(6, 'circolari', 2, 1, 0, 'Circolari', '', 'menu_circolari.php'),
(7, 'atti', 2, 1, 0, 'Albo pretorio', 'pubb_atti', 'menu_atti.php'),
(8, 'bacheca', 2, 1, 0, 'Bacheca', 'pubb_bacheca,super_bacheca', 'menu_bacheca.php'),
(9, 'sgq', 4, 1, 0, 'Sistema gestione Qualit&agrave;', '', 'menu_sgq.php'),
(10, 'cv', 1, 1, 0, 'Curriculum vitae', '', 'menu_cv.php'),
(11, 'segnalazioni', 2, 1, 0, 'Segnalazioni', '', 'menu_segnalazioni.php'),
(12, 'verbali', 3, 1, 0, 'Verbali', 'docente,super_verbali', 'menu_verbali.php'),
(13, 'relazioni', 3, 1, 0, 'Programmazioni e relazioni', 'segreteria,docente,super_relazioni', 'menu_relazioni.php'),
(14, 'materiali', 3, 1, 0, 'Materiali condivisi', 'docente,segreteria', 'menu_materiali.php'),
(15, 'registri', 1, 1, 0, 'Incarichi e registri', '', 'menu_registri.php'),
(16, 'questionari', 4, 1, 0, 'Questionari', '', 'menu_dummy.php'),
(17, 'Orari', 3, 1, 0, 'Orari docenti', 'docente,segreteria', 'menu_orari.php'),
(18, 'corsi formazione', 2, 1, 0, 'Corsi di formazione', '', 'menu_corsi.php'),
(19, 'esami', 3, 1, 0, 'Esami di Stato del I ciclo', 'segreteria,docente', 'menu_esami.php'),
(20, 'MAD', 1, 1, 0, 'MAD', 'segreteria,super_mad', 'menu_mad.php'),
(22, 'BES', 4, 1, 0, 'Alunni con BES', 'docente,segreteria', 'menu_bes.php'),
(23, 'Moduli', 2, 0, 0, 'Moduli', '', 'menu_moduli.php'),
(24, 'Biblioteca', 3, 1, 0, 'Biblioteca scolastica', '', 'menu_biblio.php'),
(25, 'Chat', 2, 1, 0, 'Chat', '', 'menu_chat.php');

-- --------------------------------------------------------

--
-- Struttura della tabella `assegnazioni_bes_docenti`
--

CREATE TABLE IF NOT EXISTS `assegnazioni_bes_docenti` (
  `id_assegnazioni_bes_docenti` int(11) NOT NULL AUTO_INCREMENT,
  `id_alunni` int(11) NOT NULL,
  `id_utenti` int(11) NOT NULL,
  `hash` varchar(32) NOT NULL,
  PRIMARY KEY (`id_assegnazioni_bes_docenti`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `bacheca`
--

CREATE TABLE IF NOT EXISTS `bacheca` (
  `id_bacheca` int(11) NOT NULL AUTO_INCREMENT,
  `id_autori` varchar(50) NOT NULL,
  `data_inserimento` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `data_evento` date NOT NULL DEFAULT '0000-00-00',
  `ora_inizio` time NOT NULL DEFAULT '00:00:00',
  `ora_fine` time NOT NULL DEFAULT '00:00:00',
  `luogo` varchar(255) NOT NULL,
  `descrizione` varchar(255) NOT NULL,
  `destinatari` varchar(255) DEFAULT NULL,
  `visibile` tinyint(1) NOT NULL DEFAULT '0',
  `pubblico` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_bacheca`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `calendario`
--

CREATE TABLE IF NOT EXISTS `calendario` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idprogetto` varchar(20) DEFAULT NULL,
  `docente` varchar(50) DEFAULT NULL,
  `attivita` varchar(250) DEFAULT NULL,
  `descrizione_attivita` text,
  `giorno` varchar(20) DEFAULT NULL,
  `dalle` varchar(10) DEFAULT NULL,
  `alle` varchar(10) DEFAULT NULL,
  `approvazioneds` int(11) DEFAULT '0',
  `approvazionedsga` int(11) DEFAULT '0',
  `svolto` int(11) DEFAULT '0',
  `data_firma` date DEFAULT NULL,
  `firma` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `categorie_albo`
--

CREATE TABLE IF NOT EXISTS `categorie_albo` (
  `id_categoria` int(2) NOT NULL AUTO_INCREMENT,
  `categoria` varchar(50) NOT NULL,
  PRIMARY KEY (`id_categoria`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

--
-- Dump dei dati per la tabella `categorie_albo`
--

INSERT INTO `categorie_albo` (`id_categoria`, `categoria`) VALUES
(1, 'Bandi e gare'),
(3, 'Contratti integrativi'),
(4, 'Contratti e convenzioni'),
(5, 'Convocazioni'),
(6, 'Delibere Consiglio di Istituto'),
(7, 'Documenti altre P.A.'),
(8, 'Esiti esami'),
(9, 'Graduatorie'),
(10, 'Organi collegiali'),
(11, 'Organi collegiali - Elezioni'),
(12, 'Privacy'),
(13, 'Programmi annuali e Consuntivi'),
(14, 'Regolamenti'),
(15, 'Sicurezza'),
(16, 'Decreti di nomina'),
(17, 'Altro');

-- --------------------------------------------------------

--
-- Struttura della tabella `categorie_materiali`
--

CREATE TABLE IF NOT EXISTS `categorie_materiali` (
  `id_categoria` int(2) NOT NULL AUTO_INCREMENT,
  `categoria` varchar(50) NOT NULL,
  PRIMARY KEY (`id_categoria`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Dump dei dati per la tabella `categorie_materiali`
--

INSERT INTO `categorie_materiali` (`id_categoria`, `categoria`) VALUES
(4, 'fisica'),
(10, 'biologia');

-- --------------------------------------------------------

--
-- Struttura della tabella `categorie_sgq`
--

CREATE TABLE IF NOT EXISTS `categorie_sgq` (
  `id_categorie_sgq` int(11) NOT NULL AUTO_INCREMENT,
  `categoria` varchar(100) NOT NULL,
  PRIMARY KEY (`id_categorie_sgq`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- Dump dei dati per la tabella `categorie_sgq`
--

INSERT INTO `categorie_sgq` (`id_categorie_sgq`, `categoria`) VALUES
(1, 'Allegato'),
(2, 'Manuale'),
(3, 'Procedure comuni obbligatorie ISO 9001'),
(4, 'Flussi supplementari comuni'),
(5, 'Flussi supplementari sedi'),
(6, 'Istruzioni lavoro (procedure operative)'),
(7, 'Altri documenti'),
(8, 'Modulo');

-- --------------------------------------------------------

--
-- Struttura della tabella `certificazioni`
--

CREATE TABLE IF NOT EXISTS `certificazioni` (
  `id_certificazioni` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(100) NOT NULL,
  `tipologia` varchar(100) NOT NULL,
  `descrizione` text NOT NULL,
  `anno_di_conseguimento` varchar(4) NOT NULL,
  PRIMARY KEY (`id_certificazioni`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `chat`
--

CREATE TABLE IF NOT EXISTS `chat` (
  `id_chat` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `utente` varchar(255) NOT NULL,
  `public` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_chat`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `chat_members`
--

CREATE TABLE IF NOT EXISTS `chat_members` (
  `id_chat_members` int(11) NOT NULL AUTO_INCREMENT,
  `id_chat` int(11) NOT NULL,
  `member` varchar(255) NOT NULL,
  PRIMARY KEY (`id_chat_members`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `chat_msg`
--

CREATE TABLE IF NOT EXISTS `chat_msg` (
  `id_chat_msg` int(11) NOT NULL AUTO_INCREMENT,
  `id_chat` int(11) NOT NULL,
  `msg` text NOT NULL,
  `sender` varchar(255) NOT NULL,
  `sent` datetime NOT NULL DEFAULT '2000-01-01 00:00:00',
  PRIMARY KEY (`id_chat_msg`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `circolari`
--

CREATE TABLE IF NOT EXISTS `circolari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `numero` varchar(100) NOT NULL DEFAULT '',
  `oggetto` varchar(255) NOT NULL DEFAULT '',
  `id_redattori` varchar(100) NOT NULL DEFAULT '0',
  `data` date NOT NULL DEFAULT '0000-00-00',
  `ufficio` varchar(100) NOT NULL DEFAULT '',
  `data_ins` date NOT NULL DEFAULT '0000-00-00',
  `data_mod` date NOT NULL DEFAULT '0000-00-00',
  `docenti` tinyint(4) NOT NULL DEFAULT '0',
  `studenti` tinyint(4) NOT NULL DEFAULT '0',
  `ata` tinyint(4) NOT NULL DEFAULT '0',
  `famiglie` tinyint(4) NOT NULL DEFAULT '0',
  `altri_destinatari` varchar(255) DEFAULT NULL,
  `link` varchar(255) DEFAULT NULL,
  `allegato` varchar(255) NOT NULL DEFAULT '',
  `allegato2` varchar(255) DEFAULT NULL,
  `note` text,
  `pubblico` tinyint(4) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `classi`
--

CREATE TABLE IF NOT EXISTS `classi` (
  `id_classi` int(11) NOT NULL AUTO_INCREMENT,
  `classe` varchar(100) NOT NULL,
  `codice` varchar(100) NOT NULL,
  `id_plessi` int(11) NOT NULL,
  PRIMARY KEY (`id_classi`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `collocazioni_libri`
--

CREATE TABLE IF NOT EXISTS `collocazioni_libri` (
  `id_collocazioni_libri` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(100) NOT NULL,
  `collocazione` varchar(255) NOT NULL,
  PRIMARY KEY (`id_collocazioni_libri`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `competenze`
--

CREATE TABLE IF NOT EXISTS `competenze` (
  `utente` varchar(100) NOT NULL DEFAULT '',
  `lingua_madre` varchar(100) NOT NULL,
  `comunicative` text NOT NULL,
  `organizzativo_gestionali` text NOT NULL,
  `professionali` text NOT NULL,
  `altre_competenze` text NOT NULL,
  `patente_di_guida` varchar(100) NOT NULL,
  `id_competenze` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_competenze`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `componenti_gruppo`
--

CREATE TABLE IF NOT EXISTS `componenti_gruppo` (
  `id_componenti_gruppo` int(11) NOT NULL AUTO_INCREMENT,
  `id_gruppi` int(11) NOT NULL,
  `tipo_componente` varchar(100) NOT NULL COMMENT 'nome della tabella del componente',
  `id_componente` varchar(100) NOT NULL,
  PRIMARY KEY (`id_componenti_gruppo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `consiglio_orientativo`
--

CREATE TABLE IF NOT EXISTS `consiglio_orientativo` (
  `id_consiglio_orientativo` int(11) NOT NULL AUTO_INCREMENT,
  `id_esami_stato` int(11) NOT NULL,
  `hash` varchar(32) NOT NULL,
  `metodo` varchar(255) NOT NULL,
  `interesse` varchar(255) NOT NULL,
  `attitudine1` varchar(255) NOT NULL,
  `attitudine2` varchar(255) NOT NULL,
  `attitudine3` varchar(255) NOT NULL,
  `percorso` varchar(255) NOT NULL,
  `indirizzo` varchar(255) NOT NULL,
  `stato` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0:aperto;1:chiuso',
  PRIMARY KEY (`id_consiglio_orientativo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `corsi_formazione`
--

CREATE TABLE IF NOT EXISTS `corsi_formazione` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `titolo` varchar(200) NOT NULL,
  `sede` varchar(100) NOT NULL,
  `num_ore` int(11) NOT NULL,
  `file_documentazione` varchar(250) DEFAULT NULL,
  `descrizione` text,
  `destinatari` varchar(100) DEFAULT NULL,
  `calendario` text,
  `argomenti` text,
  `stato_corso` varchar(30) NOT NULL,
  `datains` varchar(20) NOT NULL,
  `abilita_iscrizioni` tinyint(4) DEFAULT '0',
  `attestati` int(11) DEFAULT '0',
  `file_attestati` varchar(200) NOT NULL,
  `iscrizioni` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `dati_esami`
--

CREATE TABLE IF NOT EXISTS `dati_esami` (
  `id_dati_esami` int(11) NOT NULL AUTO_INCREMENT,
  `target` varchar(3) CHARACTER SET latin1 NOT NULL,
  `anno_scolastico` varchar(9) CHARACTER SET latin1 NOT NULL,
  `data_scrutinio` date NOT NULL,
  `data_plenaria` date NOT NULL,
  `presidente` varchar(50) CHARACTER SET latin1 NOT NULL,
  `commissari` varchar(255) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id_dati_esami`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `def_registri`
--

CREATE TABLE IF NOT EXISTS `def_registri` (
  `id_def_registri` int(11) NOT NULL AUTO_INCREMENT,
  `tipologiaregistri` varchar(100) NOT NULL,
  `scadenza_compilazione` date NOT NULL DEFAULT '0000-00-00',
  `anno_scolastico` varchar(9) NOT NULL,
  `stato` varchar(50) NOT NULL,
  `mansioni` tinyint(1) NOT NULL DEFAULT '0',
  `testo_mansioni` text NOT NULL,
  PRIMARY KEY (`id_def_registri`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `def_verbali`
--

CREATE TABLE IF NOT EXISTS `def_verbali` (
  `id_def_verbali` int(11) NOT NULL AUTO_INCREMENT,
  `titolo` varchar(255) NOT NULL,
  `tipologiaverbali` varchar(100) NOT NULL,
  `scadenza_verbalizzazione` date NOT NULL DEFAULT '0000-00-00',
  `anno_scolastico` varchar(9) NOT NULL,
  `stato` varchar(50) NOT NULL,
  `odg1` varchar(255) NOT NULL,
  `odg2` varchar(255) DEFAULT NULL,
  `odg3` varchar(255) DEFAULT NULL,
  `odg4` varchar(255) DEFAULT NULL,
  `odg5` varchar(255) DEFAULT NULL,
  `odg6` varchar(255) DEFAULT NULL,
  `odg7` varchar(255) DEFAULT NULL,
  `odg8` varchar(255) DEFAULT NULL,
  `odg9` varchar(255) DEFAULT NULL,
  `odg10` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_def_verbali`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `descrizioneattivitaprogetti`
--

CREATE TABLE IF NOT EXISTS `descrizioneattivitaprogetti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` text NOT NULL,
  `costoorario` float DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dump dei dati per la tabella `descrizioneattivitaprogetti`
--

INSERT INTO `descrizioneattivitaprogetti` (`id`, `descrizione`, `costoorario`) VALUES
(1, 'Conduzione del progetto (responsabile)', 17.5),
(2, 'Attività non di insegnamento: Progettazione, produzione materiali, monitoraggio', 17.5),
(5, 'Ore aggiuntive collaboratore scolastico', 12.5),
(6, 'Ore aggiuntive a recupero collaboratore scolastico', 0),
(7, 'Ore di potenziamento', 0),
(8, 'Ore aggiuntive assistente amministrativo', 14.5);

-- --------------------------------------------------------

--
-- Struttura della tabella `descrizionefinanziamentiprogetti`
--

CREATE TABLE IF NOT EXISTS `descrizionefinanziamentiprogetti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `finanziamenti` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Dump dei dati per la tabella `descrizionefinanziamentiprogetti`
--

INSERT INTO `descrizionefinanziamentiprogetti` (`id`, `finanziamenti`) VALUES
(1, 'FIS'),
(2, 'Finanziamenti da famiglie'),
(3, 'Bilancio scuola (non FIS)'),
(4, 'Finanziamenti esterni'),
(5, 'altro');

-- --------------------------------------------------------

--
-- Struttura della tabella `dettaglio_domanda`
--

CREATE TABLE IF NOT EXISTS `dettaglio_domanda` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_domanda` int(11) NOT NULL,
  `testo` text,
  `valore` text NOT NULL,
  `ordine` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `dettaglio_mod`
--

CREATE TABLE IF NOT EXISTS `dettaglio_mod` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_domanda` int(11) NOT NULL,
  `testo` text,
  `valore` text NOT NULL,
  `ordine` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `dettaglio_richieste`
--

CREATE TABLE IF NOT EXISTS `dettaglio_richieste` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_richiesta` int(11) NOT NULL,
  `descrizione` varchar(250) DEFAULT NULL,
  `quantita` int(11) DEFAULT NULL,
  `pag` int(11) DEFAULT NULL,
  `costo` float DEFAULT NULL,
  `stato` varchar(100) DEFAULT NULL,
  `codice` varchar(10) DEFAULT NULL,
  `dal` varchar(10) NOT NULL,
  `al` varchar(10) NOT NULL,
  `totgiorni` int(11) NOT NULL,
  `giustifica` varchar(100) DEFAULT NULL,
  `ragione_sociale` varchar(200) DEFAULT NULL,
  `data_documento` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `doc_bes`
--

CREATE TABLE IF NOT EXISTS `doc_bes` (
  `id_doc_bes` int(11) NOT NULL AUTO_INCREMENT,
  `id_tipo_doc_bes` int(11) NOT NULL,
  `id_alunni_disabili` int(11) NOT NULL,
  `doc` varchar(255) NOT NULL,
  `redattore` varchar(255) NOT NULL,
  `data_ins` datetime NOT NULL,
  PRIMARY KEY (`id_doc_bes`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `doc_quality`
--

CREATE TABLE IF NOT EXISTS `doc_quality` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `edizione` varchar(4) DEFAULT NULL,
  `revisione` varchar(4) DEFAULT NULL,
  `codice` varchar(100) NOT NULL,
  `titolo` varchar(255) NOT NULL DEFAULT '',
  `categoria` int(2) NOT NULL,
  `tag` text,
  `utilizzatori` varchar(100) DEFAULT NULL,
  `archiviazione` varchar(100) DEFAULT NULL,
  `master` varchar(100) DEFAULT NULL,
  `id_redattori` varchar(100) NOT NULL DEFAULT '0',
  `data` date NOT NULL DEFAULT '0000-00-00',
  `data_ins` date NOT NULL DEFAULT '0000-00-00',
  `data_mod` date NOT NULL DEFAULT '0000-00-00',
  `allegato` varchar(255) NOT NULL DEFAULT '',
  `allegato2` varchar(255) DEFAULT NULL,
  `link` varchar(255) DEFAULT NULL,
  `note` text,
  `sezione` varchar(30) DEFAULT NULL,
  `visibile` tinyint(1) NOT NULL,
  `pubblico` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `domande_que`
--

CREATE TABLE IF NOT EXISTS `domande_que` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_que` int(11) NOT NULL,
  `tipologia_domanda` int(11) NOT NULL,
  `testo_domanda` text,
  `etichetta_report` varchar(100) DEFAULT NULL,
  `ordine` int(11) NOT NULL,
  `acapo` int(11) NOT NULL,
  `allinea` varchar(10) NOT NULL,
  `stile` varchar(1) DEFAULT NULL,
  `char_size` varchar(10) NOT NULL,
  `report` int(11) DEFAULT '0',
  `ordine_report` int(11) NOT NULL,
  `vis_report` int(11) DEFAULT '0',
  `obbligatoria` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `esami_stato`
--

CREATE TABLE IF NOT EXISTS `esami_stato` (
  `id_esami_stato` int(11) NOT NULL AUTO_INCREMENT,
  `hash` varchar(32) NOT NULL,
  `anno_scolastico` varchar(9) NOT NULL,
  `target` varchar(100) NOT NULL,
  `sottocommissione` varchar(2) NOT NULL,
  `stato` int(1) NOT NULL DEFAULT '0' COMMENT '0: aperto;1:chiuso',
  `cognome` varchar(50) NOT NULL,
  `nome` varchar(50) NOT NULL,
  `nato` varchar(100) NOT NULL,
  `provincia` varchar(4) NOT NULL,
  `data_nascita` date NOT NULL,
  `seconda_lingua` int(1) NOT NULL DEFAULT '0',
  `voto_ammissione` int(2) NOT NULL,
  `giudizio_ammissione` text NOT NULL,
  `consiglio_orientativo` text NOT NULL,
  `traccia_italiano` int(1) NOT NULL,
  `giudizio_italiano` text NOT NULL,
  `voto_italiano` int(2) NOT NULL,
  `traccia_lingue` int(1) NOT NULL,
  `giudizio_lingue` text NOT NULL,
  `voto_lingue` int(2) NOT NULL,
  `traccia_matematica` int(1) NOT NULL,
  `giudizio_matematica` text NOT NULL,
  `voto_matematica` int(2) NOT NULL,
  `traccia_colloquio` text NOT NULL,
  `voto_colloquio` int(2) NOT NULL,
  `giudizio_finale` text NOT NULL,
  `voto_sottocommissione` int(2) NOT NULL,
  `lode` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0:no; 1 si',
  `giudizio_privatisti_non_licenziati` text NOT NULL,
  `esito` int(1) NOT NULL DEFAULT '0' COMMENT '0: non ancora scrutinato; 1:esame superato; 2: esame non superato; 3: ammesso alla classe terza ',
  `voto_commissione` int(2) NOT NULL,
  `redattore` varchar(255) NOT NULL,
  `ultima_modifica` datetime NOT NULL,
  PRIMARY KEY (`id_esami_stato`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `footer`
--

CREATE TABLE IF NOT EXISTS `footer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `link` varchar(250) NOT NULL,
  `text` varchar(250) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Dump dei dati per la tabella `footer`
--

INSERT INTO `footer` (`id`, `link`, `text`) VALUES
(1, 'http://www.miur.it', 'Sito MIUR'),
(2, 'http://www.officinescuola.it', 'Officine Scuola');

-- --------------------------------------------------------

--
-- Struttura della tabella `generalinfo`
--

CREATE TABLE IF NOT EXISTS `generalinfo` (
  `title` varchar(100) NOT NULL,
  `subtitle` varchar(100) NOT NULL,
  `boxtitle` varchar(50) NOT NULL,
  `boxtext` text NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome_scuola` varchar(255) NOT NULL,
  `nome_ds` varchar(100) DEFAULT NULL,
  `city` varchar(50) DEFAULT NULL,
  `patrono` varchar(50) DEFAULT NULL,
  `termine_presentazione_progetti` varchar(10) NOT NULL,
  `termine_presentazione_progetti2` varchar(10) DEFAULT NULL,
  `termine_conclusione_progetti` varchar(10) DEFAULT NULL,
  `termine_conclusione_progetti2` varchar(10) NOT NULL,
  `fin_pro` date DEFAULT NULL,
  `inizio_monit_intermedio` date NOT NULL,
  `fine_monit_intermedio` date NOT NULL,
  `inizio_monit_finale` date NOT NULL,
  `fine_monit_finale` date NOT NULL,
  `inserimento_calendario` varchar(100) NOT NULL,
  `intestazione` text,
  `imgintestazione1` varchar(200) DEFAULT NULL,
  `imgintestazione2` varchar(200) DEFAULT NULL,
  `imgintestazione3` varchar(200) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `emailout` varchar(100) DEFAULT NULL,
  `postmaster` varchar(100) DEFAULT NULL,
  `email_sicurezza` varchar(100) NOT NULL,
  `giorni_firma` int(11) NOT NULL DEFAULT '0',
  `home_img` varchar(255) NOT NULL,
  `versione` varchar(6) NOT NULL,
  `aggiornamenti` int(11) NOT NULL,
  `data_aggiornamenti` datetime NOT NULL,
  `msg_aggiornamenti` text NOT NULL,
  `dbhost` text NOT NULL,
  `dbuser` varchar(50) NOT NULL,
  `dbpassword` varchar(50) NOT NULL,
  `dbname` varchar(50) NOT NULL,
  `top` text NOT NULL,
  `rootdir` text NOT NULL,
  `google_auth` tinyint(1) NOT NULL DEFAULT '0',
  `google_id` varchar(255) NOT NULL,
  `google_secret` varchar(100) NOT NULL,
  `mail_notifica` tinyint(4) DEFAULT '0',
  `annulla_richieste` tinyint(4) DEFAULT '0',
  `testomailnuovoutente` text,
  `app` tinyint(1) NOT NULL DEFAULT '0',
  `app_title` varchar(255) NOT NULL,
  `app_desc` text NOT NULL,
  `as_presentazioneprogetti` varchar(10) NOT NULL,
  `ftp_server` varchar(255) DEFAULT NULL,
  `ftp_username` varchar(255) DEFAULT NULL,
  `ftp_password_cr` varchar(255) DEFAULT NULL,
  `ftp_initial_path` varchar(255) DEFAULT NULL,
  `show_errors` tinyint(1) NOT NULL DEFAULT '0',
  `development` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1: è un sito di sviluppo; accetta aggiornamenti anche in bozza',
  `error_log` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1: registra tentativi errati login; 0: non registra',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dump dei dati per la tabella `generalinfo`
--

INSERT INTO `generalinfo` (`title`, `subtitle`, `boxtitle`, `boxtext`, `id`, `nome_scuola`, `nome_ds`, `city`, `patrono`, `termine_presentazione_progetti`, `termine_presentazione_progetti2`, `termine_conclusione_progetti`, `termine_conclusione_progetti2`, `fin_pro`, `inizio_monit_intermedio`, `fine_monit_intermedio`, `inizio_monit_finale`, `fine_monit_finale`, `inserimento_calendario`, `intestazione`, `imgintestazione1`, `imgintestazione2`, `imgintestazione3`, `email`, `emailout`, `postmaster`, `email_sicurezza`, `giorni_firma`, `home_img`, `versione`, `aggiornamenti`, `data_aggiornamenti`, `msg_aggiornamenti`, `dbhost`, `dbuser`, `dbpassword`, `dbname`, `top`, `rootdir`, `google_auth`, `google_id`, `google_secret`, `mail_notifica`, `annulla_richieste`, `testomailnuovoutente`, `app`, `app_title`, `app_desc`, `as_presentazioneprogetti`, `ftp_server`, `ftp_username`, `ftp_password_cr`, `ftp_initial_path`, `show_errors`, `development`, `error_log`) VALUES
('Istituto Comprensivo di via XXV Aprile - Voghera', 'Accesso al sistema', 'Servizi', '    				<ul><li>Circolari</li><li>Compilazione Modelli</li><li>Gestione Progetti</li><li>Gestione incarichi</li><li>Proposte di acquisto</li><li>Richiesta<br></li></ul>    			', 1, 'Istituto Comprensivo di via XXV Aprile - Voghera', 'Dott. Mario Rossi', 'Voghera', '22/04/2016', '02/01/2019', '01/11/2020', '20/09/2015', '20/11/2017', '2017-11-20', '2016-07-21', '2019-12-31', '2017-04-22', '2019-07-29', '', '<p>Istituto Comprensivo XXXX</p><p>Viale YYYYYYYY, 14 - 15057 Tortona (AL)</p><p>Tel. 012345678 - Fax 012345678</p><p>E-mail: paic83500d@istruzione.it</p><p>E-mail certificata: paic83500d@pec.istruzione.it</p><p>Sito Web: www.istitutocomprensivo.it</p>', '../docs/logo1.jpg', '../docs/logo2.jpg', '../docs/logo3.jpg', '', '', 'postmaster@portalespp.it', '', 30, '', '0.9', 134, '2020-03-29 16:30:28', '2020-03-29 16:30:28\n1: Aggiornato il file struct/close.php', '', '', '', '', '', '', 0, 'ffasd', 'dfasfas', 0, 1, 'Gentile utente,<br> di seguito è riportata la password per accedere ai servizi. L’uso delle applicazioni deve essere limitato al solo scopo lavorativo. <br>L’uso non autorizzato delle applicazioni può essere oggetto di sanzioni amministrative e/o penali.<br> Si segnala agli utenti di prestare estrema attenzione alle funzioni di gestione della password, il portale mette a disposizione le funzioni di cambio e recupero password.', 1, 'Istituto Comprensivo di Viguzzolo', 'App per personale e genitori', '2019/2020', '', '', '', '', 1, 1, 0);

-- --------------------------------------------------------

--
-- Struttura della tabella `gradimento_progetti`
--

CREATE TABLE IF NOT EXISTS `gradimento_progetti` (
  `id_gradimento_progetti` int(11) NOT NULL AUTO_INCREMENT,
  `idprogetto` int(11) NOT NULL,
  `id_utente` int(11) NOT NULL,
  `data_risposta` datetime NOT NULL,
  `risp0` tinyint(4) NOT NULL,
  `risp1` tinyint(4) NOT NULL,
  `risp2` tinyint(4) NOT NULL,
  `risp3` tinyint(4) NOT NULL,
  `risp4` tinyint(4) NOT NULL,
  PRIMARY KEY (`id_gradimento_progetti`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `gruppi`
--

CREATE TABLE IF NOT EXISTS `gruppi` (
  `id_gruppi` int(11) NOT NULL AUTO_INCREMENT,
  `gruppo` varchar(100) NOT NULL COMMENT 'descrizione',
  `creatore` varchar(100) NOT NULL COMMENT 'utente',
  PRIMARY KEY (`id_gruppi`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `informatica`
--

CREATE TABLE IF NOT EXISTS `informatica` (
  `utente` varchar(100) NOT NULL DEFAULT '',
  `tipologia` varchar(32) NOT NULL,
  `livello` varchar(15) NOT NULL DEFAULT '0',
  `id_informatica` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_informatica`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `inizio_occupazione`
--

CREATE TABLE IF NOT EXISTS `inizio_occupazione` (
  `id_inizio_occupazione` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` varchar(255) NOT NULL,
  `utente` varchar(100) NOT NULL,
  `data_inizio` varchar(100) NOT NULL,
  PRIMARY KEY (`id_inizio_occupazione`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `iscritti_corsi`
--

CREATE TABLE IF NOT EXISTS `iscritti_corsi` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_corso` int(11) NOT NULL,
  `nome` varchar(100) NOT NULL,
  `cognome` varchar(100) NOT NULL,
  `istituto` varchar(100) NOT NULL,
  `tipologia_scuola` varchar(100) DEFAULT NULL,
  `cf` varchar(16) DEFAULT NULL,
  `grado_istruzione` varchar(100) DEFAULT NULL,
  `email` varchar(100) NOT NULL,
  `nato_a` varchar(100) DEFAULT NULL,
  `nato_il` varchar(100) DEFAULT NULL,
  `viar` varchar(100) DEFAULT NULL,
  `cittar` varchar(100) DEFAULT NULL,
  `viad` varchar(100) DEFAULT NULL,
  `cittad` varchar(100) DEFAULT NULL,
  `tel` varchar(20) DEFAULT NULL,
  `attestato` tinyint(4) DEFAULT '0',
  `file_attestato` varchar(254) DEFAULT NULL,
  `datains` datetime DEFAULT NULL,
  `stato_iscrizione` varchar(20) DEFAULT NULL,
  `numore_f` double DEFAULT NULL,
  `attestato_inviato` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `item_registri`
--

CREATE TABLE IF NOT EXISTS `item_registri` (
  `id_item_registri` int(11) NOT NULL AUTO_INCREMENT,
  `id_registri` int(11) DEFAULT NULL,
  `descrizione` varchar(255) DEFAULT NULL,
  `giorno` varchar(20) DEFAULT NULL,
  `dalle` varchar(5) DEFAULT NULL,
  `alle` varchar(5) DEFAULT NULL,
  `ore` float NOT NULL,
  `data_firma` date DEFAULT NULL,
  `firma` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_item_registri`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `lavori`
--

CREATE TABLE IF NOT EXISTS `lavori` (
  `utente` varchar(100) NOT NULL DEFAULT '',
  `azienda` varchar(100) NOT NULL DEFAULT '',
  `settore` varchar(100) NOT NULL DEFAULT '',
  `qualifica` varchar(250) NOT NULL DEFAULT '',
  `periodo` varchar(100) NOT NULL DEFAULT '',
  `id_lavori` int(11) NOT NULL AUTO_INCREMENT,
  `citta` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`id_lavori`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `lavori_scuola`
--

CREATE TABLE IF NOT EXISTS `lavori_scuola` (
  `utente` varchar(100) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `id_lavori_scuola` int(11) NOT NULL AUTO_INCREMENT,
  `scuola` varchar(100) CHARACTER SET latin1 NOT NULL,
  `citta` varchar(100) NOT NULL,
  `tipologia_di_scuola` varchar(100) NOT NULL,
  `qualifica` varchar(100) NOT NULL,
  `durata` varchar(100) NOT NULL,
  `periodo` varchar(100) NOT NULL,
  PRIMARY KEY (`id_lavori_scuola`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `libri`
--

CREATE TABLE IF NOT EXISTS `libri` (
  `id_libri` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(100) NOT NULL,
  `titolo` varchar(255) NOT NULL,
  `nome_autore` varchar(100) NOT NULL,
  `cognome_autore` varchar(100) NOT NULL,
  `editore` varchar(100) DEFAULT NULL,
  `codice` varchar(50) DEFAULT NULL,
  `keywords` text,
  `grado` varchar(20) NOT NULL,
  `prestito` tinyint(1) NOT NULL DEFAULT '0',
  `id_collocazioni_libri` int(11) NOT NULL,
  PRIMARY KEY (`id_libri`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `lingue`
--

CREATE TABLE IF NOT EXISTS `lingue` (
  `utente` varchar(100) NOT NULL DEFAULT '',
  `ascolto` varchar(2) NOT NULL,
  `lingua` varchar(20) NOT NULL DEFAULT '',
  `lettura` varchar(2) NOT NULL,
  `produzione_orale` varchar(2) NOT NULL,
  `interazione` varchar(2) NOT NULL,
  `produzione_scritta` varchar(2) NOT NULL,
  `id_lingue` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_lingue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `mad`
--

CREATE TABLE IF NOT EXISTS `mad` (
  `id_mad` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(100) NOT NULL,
  `cognome` varchar(100) NOT NULL,
  `nato` varchar(100) NOT NULL,
  `provincia_nascita` varchar(2) NOT NULL,
  `nascita` date NOT NULL,
  `residenza` varchar(100) NOT NULL,
  `provincia` varchar(2) NOT NULL,
  `via` varchar(100) NOT NULL,
  `cap` int(5) NOT NULL,
  `cf` varchar(16) NOT NULL,
  `titolo` varchar(100) NOT NULL,
  `ente` varchar(100) NOT NULL,
  `data_titolo` date NOT NULL,
  `voto` varchar(100) NOT NULL,
  `spec_sostegno` tinyint(1) NOT NULL,
  `laurea_form` tinyint(1) NOT NULL,
  `dipl_spec` tinyint(1) NOT NULL,
  `ido_ing` tinyint(1) NOT NULL,
  `grado` varchar(100) NOT NULL,
  `cl1` varchar(10) NOT NULL,
  `cl2` varchar(10) NOT NULL,
  `cl3` varchar(10) NOT NULL,
  `inserito` tinyint(1) NOT NULL,
  `email` varchar(255) NOT NULL,
  `telefono_fisso` varchar(50) NOT NULL,
  `cellulare` varchar(50) NOT NULL,
  `cv` varchar(255) NOT NULL,
  `data_ins` datetime NOT NULL,
  `anno_scolastico` varchar(9) NOT NULL,
  PRIMARY KEY (`id_mad`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `materiali`
--

CREATE TABLE IF NOT EXISTS `materiali` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `titolo` varchar(255) NOT NULL DEFAULT '',
  `categoria` varchar(255) NOT NULL,
  `autore` varchar(100) NOT NULL DEFAULT '0',
  `data` date NOT NULL DEFAULT '0000-00-00',
  `data_ins` date NOT NULL DEFAULT '0000-00-00',
  `data_mod` date NOT NULL DEFAULT '0000-00-00',
  `link` varchar(255) DEFAULT NULL,
  `allegato` varchar(255) NOT NULL DEFAULT '',
  `descrizione` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `moduli`
--

CREATE TABLE IF NOT EXISTS `moduli` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `protentrata` varchar(10) DEFAULT NULL,
  `datarichiesta` varchar(10) DEFAULT NULL,
  `dataautorizzazione` varchar(10) DEFAULT NULL,
  `utente` varchar(50) DEFAULT NULL,
  `tiporichiesta` varchar(255) DEFAULT NULL,
  `mese` varchar(20) DEFAULT NULL,
  `motivazione` text,
  `autorizzazioneds` int(11) NOT NULL DEFAULT '0',
  `autorizzazionedsga` int(11) NOT NULL DEFAULT '0',
  `autorizzazionedsc` int(11) DEFAULT '0',
  `autorizzazionedsgac` int(11) DEFAULT '0',
  `notads` text,
  `ataaddetto` varchar(50) DEFAULT NULL,
  `nota_ataaddetto` text,
  `stato` varchar(255) NOT NULL,
  `cog` varchar(100) DEFAULT NULL,
  `nom` varchar(100) DEFAULT NULL,
  `cl` varchar(10) DEFAULT NULL,
  `doc_richiesta` varchar(200) DEFAULT NULL,
  `visionata` int(11) DEFAULT '0',
  `doc_aut` varchar(50) DEFAULT NULL,
  `nota_ds` text,
  `nota_dsga` text,
  `allegato` varchar(254) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `monitoraggi_progetti`
--

CREATE TABLE IF NOT EXISTS `monitoraggi_progetti` (
  `id_monitoraggi_progetti` int(11) NOT NULL AUTO_INCREMENT,
  `idprogetto` int(11) NOT NULL,
  `tipologia` varchar(10) NOT NULL,
  `stato_progetto` varchar(50) NOT NULL,
  `percentuale` int(3) NOT NULL,
  `descrizione` text NOT NULL,
  `data_compilazione` date NOT NULL,
  `obiettivi_raggiunti` text NOT NULL,
  `criticita` text NOT NULL,
  `forza` text NOT NULL,
  `esiti` text NOT NULL,
  `valut_esperti` text NOT NULL,
  `allegato` varchar(255) NOT NULL,
  PRIMARY KEY (`id_monitoraggi_progetti`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `orari`
--

CREATE TABLE IF NOT EXISTS `orari` (
  `id_orari` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(100) NOT NULL,
  `data_creazione` date NOT NULL,
  `anno_scolastico` varchar(9) NOT NULL,
  `data_inizio` date NOT NULL DEFAULT '0000-00-00',
  `num_settimana` tinyint(4) NOT NULL,
  `classe` text NOT NULL,
  `tipo_lez` varchar(255) NOT NULL,
  UNIQUE KEY `id_orari` (`id_orari`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `ore_aggiuntive`
--

CREATE TABLE IF NOT EXISTS `ore_aggiuntive` (
  `id_ore_aggiuntive` int(11) NOT NULL AUTO_INCREMENT,
  `docente` varchar(100) NOT NULL,
  `anno_scolastico` varchar(9) NOT NULL,
  `data_incarico` date NOT NULL DEFAULT '0000-00-00',
  `data_sostituzione` date NOT NULL,
  `dalle` varchar(5) NOT NULL,
  `alle` varchar(5) NOT NULL,
  `numore` int(2) NOT NULL,
  `classe_sezione` varchar(10) NOT NULL,
  `plesso` varchar(100) NOT NULL,
  `operatore` varchar(50) NOT NULL,
  `incarico` varchar(255) NOT NULL,
  PRIMARY KEY (`id_ore_aggiuntive`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `permessi_utenti`
--

CREATE TABLE IF NOT EXISTS `permessi_utenti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(50) NOT NULL,
  `descrizione` varchar(255) NOT NULL,
  `commenti` text NOT NULL,
  `ordinamento` int(11) DEFAULT NULL,
  `sezione` int(2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=26 ;

--
-- Dump dei dati per la tabella `permessi_utenti`
--

INSERT INTO `permessi_utenti` (`id`, `nome`, `descrizione`, `commenti`, `ordinamento`, `sezione`) VALUES
(1, 'profilo', 'Utente gestore profili utenti', '', 2, 0),
(2, 'superuser', 'Utente Superuser', '', 1, 0),
(3, 'resp_progetti', 'Utente che può presentare progetti', '', 4, 0),
(5, 'datigenerali', 'Utente gestore dati generali della piattaforma', '', 3, 0),
(6, 'super_progetti', 'Utente gestore area progetti', '', 5, 0),
(7, 'tracciamento', 'Utente che può tracciare le operazioni svolte sulla piattaforma', '', 20, 0),
(8, 'pubb_circolari', 'Utente che pubblica le circolari', '', 6, 0),
(9, 'super_circolari', 'Utente che può apportare modifiche alle circolari', '', 7, 0),
(10, 'super_richieste', 'Utente istruttore richieste del personale', '', 8, 0),
(11, 'pubb_bacheca', 'Utente che pubblica notizie per la bacheca', '', 14, 0),
(12, 'pubb_atti', 'Utente che pubblica atti per l''albo pretorio', '', 9, 0),
(13, 'super_bacheca', 'Utente amministratore area bacheca', '', 15, 0),
(14, 'pubb_sgq', 'Utente che pubblica documenti nel Sistema Gestione Qualità', '', 16, 0),
(15, 'super_sgq', 'Utente amministratore area Sistema Gestione Qualità', '', 17, 0),
(16, 'pubb_aggiornamenti', 'Utente che pubblica informazioni su corsi di aggiornamento', '', 18, 0),
(17, 'super_verbali', 'Utente amministratore area Verbali', '', 10, 0),
(18, 'super_relazioni', 'Utente amministratore area Programmazioni e Relazioni', '', 11, 0),
(19, 'super_registri', 'Utente amministratore area Incarichi e Registri', '', 12, 0),
(20, 'super_cv', 'Utente amministratore area Curriculum Vitae', '', 13, 0),
(21, 'resp_sicurezza', 'Responsabile per la sicurezza', '', 19, 0),
(22, 'super_bes', 'Utente amministratore area BES', '', 21, 0),
(23, 'super_mad', 'Utente che visualizza le mad pervenute', '', 22, 0),
(24, 'super_biblio', 'utente che amministra la biblioteca', '', 23, 0),
(25, 'gest_prestiti', 'utente che gestisce i prestiti librari', '', 24, 0);

-- --------------------------------------------------------

--
-- Struttura della tabella `photo`
--

CREATE TABLE IF NOT EXISTS `photo` (
  `id_photo` int(11) NOT NULL AUTO_INCREMENT,
  `link` varchar(255) NOT NULL,
  `utente` varchar(100) NOT NULL,
  `dataupload` date NOT NULL,
  PRIMARY KEY (`id_photo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `plessi`
--

CREATE TABLE IF NOT EXISTS `plessi` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(200) DEFAULT NULL,
  `id_tipologiaorari` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `prenotazioni`
--

CREATE TABLE IF NOT EXISTS `prenotazioni` (
  `id_prenotazioni` int(11) NOT NULL AUTO_INCREMENT,
  `id_collocazioni_libri` int(11) NOT NULL,
  `data` date NOT NULL,
  `ora` int(2) NOT NULL,
  `classe` varchar(100) NOT NULL,
  `docente` varchar(100) NOT NULL,
  `attivita` varchar(255) NOT NULL,
  `data_inserimento` datetime NOT NULL,
  PRIMARY KEY (`id_prenotazioni`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `prestiti`
--

CREATE TABLE IF NOT EXISTS `prestiti` (
  `id_prestiti` int(11) NOT NULL AUTO_INCREMENT,
  `docente` varchar(100) NOT NULL,
  `cognome_alunno` varchar(100) NOT NULL,
  `nome_alunno` varchar(100) NOT NULL,
  `classe` varchar(20) NOT NULL,
  `plesso` varchar(20) NOT NULL,
  `data_inizio` date NOT NULL,
  `id_libri` int(11) NOT NULL,
  `data_restituzione` date NOT NULL,
  `attivo` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_prestiti`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `progetti`
--

CREATE TABLE IF NOT EXISTS `progetti` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `idprogetto` int(11) DEFAULT NULL,
  `anno_scolastico` varchar(10) NOT NULL,
  `descrizione` text,
  `titolo` text,
  `stato` varchar(80) DEFAULT NULL,
  `old_stato` varchar(50) DEFAULT NULL,
  `datapresentazione` date DEFAULT '0000-00-00',
  `dataapprovazionecd` varchar(10) DEFAULT NULL,
  `dataapprovazioneci` varchar(10) DEFAULT NULL,
  `importo` double DEFAULT '0',
  `nota` text,
  `file` varchar(200) DEFAULT NULL,
  `destinatari` text,
  `scadenza` text,
  `progettazione` text,
  `invio` text,
  `tipologia` text,
  `obiettivo` text,
  `costo` text,
  `autorizzocd` int(11) DEFAULT '0',
  `luogo1sez1` varchar(100) DEFAULT NULL,
  `luogo2sez1` varchar(100) DEFAULT NULL,
  `progettista` varchar(100) DEFAULT NULL,
  `tipologiaprogetto` varchar(100) DEFAULT NULL,
  `referente` varchar(100) NOT NULL,
  `obiettivi` text NOT NULL,
  `finalita` text,
  `metodologia` text NOT NULL,
  `tempi` text,
  `autorizzofi` tinyint(1) NOT NULL DEFAULT '0',
  `spazi` text,
  `attrezzature` text,
  `strumenti` text,
  `materiali` text,
  `versione` int(11) DEFAULT '1',
  `datainiziorevisione` varchar(10) DEFAULT NULL,
  `calendario` int(11) DEFAULT '1',
  `generazione_incarichi` int(11) DEFAULT '0',
  `data_gen_incarichi` date NOT NULL,
  `nota_revisione` text,
  `doc_progetto` varchar(50) NOT NULL,
  `doc_incarichi` varchar(50) DEFAULT NULL,
  `gruppo_utenti` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `questionari`
--

CREATE TABLE IF NOT EXISTS `questionari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome_que` varchar(100) NOT NULL,
  `tipo` varchar(100) NOT NULL,
  `quest_project` tinyint(1) DEFAULT '0',
  `autore` varchar(20) NOT NULL,
  `target` varchar(50) NOT NULL,
  `anonimo` int(11) DEFAULT '0',
  `visibile` int(11) DEFAULT '0',
  `segr_mod` int(11) DEFAULT '0',
  `associatoa` varchar(200) DEFAULT NULL,
  `corso_formazione` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `registri`
--

CREATE TABLE IF NOT EXISTS `registri` (
  `id_registri` int(11) NOT NULL AUTO_INCREMENT,
  `id_def_registri` int(11) NOT NULL,
  `redattore` varchar(100) NOT NULL,
  `numore` int(11) NOT NULL,
  `oresvolte` float NOT NULL DEFAULT '0',
  `stato_registro` varchar(50) NOT NULL DEFAULT 'vuoto',
  `pdf` varchar(100) NOT NULL,
  `datapresentazione` date NOT NULL DEFAULT '0000-00-00',
  `incarico` tinyint(1) NOT NULL DEFAULT '0',
  `doc_incarico` varchar(100) NOT NULL,
  `data_incarico` date NOT NULL DEFAULT '0000-00-00',
  PRIMARY KEY (`id_registri`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `relazioni`
--

CREATE TABLE IF NOT EXISTS `relazioni` (
  `id_relazioni` int(11) NOT NULL AUTO_INCREMENT,
  `id_utente` int(11) NOT NULL,
  `id_tipologiarelazioni` varchar(50) NOT NULL,
  `descrizione` varchar(255) NOT NULL,
  `redattore` varchar(100) NOT NULL,
  `pdf` varchar(100) NOT NULL,
  `id_target` int(11) NOT NULL,
  `data_inoltro` date NOT NULL DEFAULT '0000-00-00',
  `anno_scolastico` varchar(9) NOT NULL,
  PRIMARY KEY (`id_relazioni`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `richieste`
--

CREATE TABLE IF NOT EXISTS `richieste` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `protentrata` varchar(10) DEFAULT NULL,
  `datarichiesta` varchar(10) DEFAULT NULL,
  `dataautorizzazione` varchar(10) DEFAULT NULL,
  `utente` varchar(50) DEFAULT NULL,
  `tiporichiesta` varchar(255) DEFAULT NULL,
  `mese` varchar(20) DEFAULT NULL,
  `totgiorni` int(11) DEFAULT NULL,
  `totgiorni2` int(11) DEFAULT '0',
  `giorno1` varchar(10) DEFAULT NULL,
  `giorno2` varchar(10) DEFAULT NULL,
  `giorno3` varchar(10) DEFAULT NULL,
  `giorno4` varchar(20) DEFAULT NULL,
  `giorno5` varchar(10) DEFAULT NULL,
  `dichiara1` int(11) DEFAULT '0',
  `dichiara2` int(11) DEFAULT '0',
  `dichiara3` int(11) DEFAULT '0',
  `dichiara4` int(11) DEFAULT '0',
  `per` varchar(100) DEFAULT NULL,
  `nomefam` varchar(250) DEFAULT NULL,
  `numore` varchar(10) DEFAULT '0',
  `numminuti` int(2) NOT NULL,
  `dalleore` varchar(50) DEFAULT NULL,
  `alleore` varchar(50) DEFAULT NULL,
  `dalleore2` varchar(10) DEFAULT NULL,
  `alleore2` varchar(10) DEFAULT NULL,
  `motivazione` text,
  `autorizzazioneds` int(11) NOT NULL DEFAULT '0',
  `autorizzazionedsga` int(11) NOT NULL DEFAULT '0',
  `autorizzazionedsc` int(11) DEFAULT '0',
  `autorizzazionedsgac` int(11) DEFAULT '0',
  `notads` text,
  `ataaddetto` varchar(50) DEFAULT NULL,
  `nota_ataaddetto` text,
  `stato` varchar(255) NOT NULL,
  `reperibile_via` varchar(250) DEFAULT NULL,
  `reperibile_cap` varchar(10) DEFAULT NULL,
  `reperibile_citta` varchar(100) DEFAULT NULL,
  `reperibile_tel` varchar(20) DEFAULT NULL,
  `motivo` text,
  `rilasciatoda` varchar(100) DEFAULT NULL,
  `figlionatoil` varchar(50) DEFAULT NULL,
  `altrogenitore` varchar(100) DEFAULT NULL,
  `altrogenitore_natoa` varchar(100) DEFAULT NULL,
  `altrogenitore_natoil` varchar(20) DEFAULT NULL,
  `dipendente_presso` varchar(100) DEFAULT NULL,
  `dichiarazione` text NOT NULL,
  `dichiarazione1` text,
  `dichiarazione2` text,
  `dichiarazione3` text,
  `dichiarazione4` text,
  `dichiarazione5` text,
  `dichiarazione6` text,
  `dichiarazione7` text,
  `dichiarazione8` text,
  `cog` varchar(100) DEFAULT NULL,
  `nom` varchar(100) DEFAULT NULL,
  `cl` varchar(10) DEFAULT NULL,
  `doc_richiesta` varchar(200) DEFAULT NULL,
  `visionata` int(11) DEFAULT '0',
  `doc_aut` varchar(50) DEFAULT NULL,
  `firma_cambioorario` tinyint(4) NOT NULL DEFAULT '0',
  `nota_ds` text,
  `nota_dsga` text,
  `allegato` varchar(254) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `risorsebeniprogetti`
--

CREATE TABLE IF NOT EXISTS `risorsebeniprogetti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idprogetto` int(11) NOT NULL,
  `quantita` int(11) NOT NULL,
  `costounitario` double NOT NULL,
  `descrizione` text,
  `finanziamenti` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `risorseumaneprogetti`
--

CREATE TABLE IF NOT EXISTS `risorseumaneprogetti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idprogetto` int(11) NOT NULL,
  `nome` varchar(100) NOT NULL,
  `numore` int(11) NOT NULL,
  `costoorario` double NOT NULL,
  `attivita` text,
  `ruolo` varchar(40) NOT NULL,
  `finanziamenti` varchar(255) NOT NULL,
  `file` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `risposte_dom`
--

CREATE TABLE IF NOT EXISTS `risposte_dom` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_risp` int(11) NOT NULL,
  `id_dom` int(11) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `risposte_mod`
--

CREATE TABLE IF NOT EXISTS `risposte_mod` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_risp` int(11) NOT NULL,
  `id_dom` int(11) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `risposte_que`
--

CREATE TABLE IF NOT EXISTS `risposte_que` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_que` varchar(10) NOT NULL,
  `time` varchar(25) NOT NULL,
  `nome_c` varchar(50) DEFAULT NULL,
  `cognome_c` varchar(50) DEFAULT NULL,
  `utente_c` varchar(50) DEFAULT NULL,
  `definitiva` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `ruoli`
--

CREATE TABLE IF NOT EXISTS `ruoli` (
  `id_ruoli` int(11) NOT NULL AUTO_INCREMENT,
  `sigla` varchar(4) NOT NULL,
  `ruolo` varchar(30) NOT NULL,
  `permessi` text NOT NULL,
  PRIMARY KEY (`id_ruoli`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dump dei dati per la tabella `ruoli`
--

INSERT INTO `ruoli` (`id_ruoli`, `sigla`, `ruolo`, `permessi`) VALUES
(1, 'AA', 'assistente amministrativo', 'pubb_circolari,pubb_bacheca,pubb_atti,pubb_sgq'),
(2, 'DOC', 'docente', 'resp_progetti'),
(3, 'CS', 'collaboratore scolastico', ''),
(4, 'DS', 'ds', 'profilo,superuser,resp_progetti,datigenerali,super_progetti,tracciamento,pubb_circolari,super_circolari,super_richieste,pubb_bacheca,pubb_atti,super_bacheca,pubb_sgq,super_sgq,pubb_aggiornamenti,super_verbali,super_relazioni,super_registri,super_cv'),
(5, 'DSGA', 'dsga', 'super_progetti,pubb_circolari,pubb_bacheca,pubb_atti,pubb_sgq'),
(6, 'AT', 'assistente tecnico', ''),
(7, 'STUD', 'studente', ''),
(8, 'GEN', 'genitore', ''),
(9, 'REV', 'revisore', '');

-- --------------------------------------------------------

--
-- Struttura della tabella `segnalazioni`
--

CREATE TABLE IF NOT EXISTS `segnalazioni` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(50) NOT NULL,
  `data_segnalazione` date NOT NULL DEFAULT '0000-00-00',
  `oggetto` varchar(250) DEFAULT NULL,
  `testo` text NOT NULL,
  `per_ds` tinyint(1) NOT NULL DEFAULT '0',
  `per_dsga` tinyint(1) NOT NULL DEFAULT '0',
  `rispostads` text NOT NULL,
  `rispostadsga` text NOT NULL,
  `data_rispostads` date NOT NULL DEFAULT '0000-00-00',
  `data_rispostadsga` date NOT NULL,
  `doc` varchar(255) NOT NULL,
  `sicurezza` tinyint(1) NOT NULL DEFAULT '0',
  `risolta` tinyint(1) NOT NULL DEFAULT '0',
  `risolta_da` varchar(100) NOT NULL,
  `data_risoluzione` date NOT NULL DEFAULT '0000-00-00',
  `stato` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `sezione_aree`
--

CREATE TABLE IF NOT EXISTS `sezione_aree` (
  `id_sezione_aree` int(11) NOT NULL AUTO_INCREMENT,
  `sezione` varchar(50) NOT NULL,
  `icon` varchar(50) NOT NULL,
  `title` varchar(255) NOT NULL,
  PRIMARY KEY (`id_sezione_aree`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Dump dei dati per la tabella `sezione_aree`
--

INSERT INTO `sezione_aree` (`id_sezione_aree`, `sezione`, `icon`, `title`) VALUES
(1, 'Attivit&agrave;', 'th', 'Progetti, Incarichi, CV'),
(2, 'Comunicazione', 'paper-plane', 'Bacheca, Circolari, Formazione, Richieste, Segnalazioni'),
(3, 'Didattica', 'users', 'Orari, programmazioni e relazioni, verbali, esami di stato'),
(4, 'Modulistica', 'file', 'Modulistica e questionari'),
(5, 'Amministrazione', 'cog', 'Amministrazione della piattaforma');

-- --------------------------------------------------------

--
-- Struttura della tabella `struttura_mod`
--

CREATE TABLE IF NOT EXISTS `struttura_mod` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_mod` int(11) NOT NULL,
  `tipologia_domanda` int(11) NOT NULL,
  `testo_domanda` text,
  `ordine` int(11) NOT NULL,
  `acapo` int(11) NOT NULL,
  `allinea` varchar(10) NOT NULL,
  `stile` varchar(1) DEFAULT NULL,
  `char_size` varchar(10) NOT NULL,
  `obbligatoria` int(11) DEFAULT '0',
  `data` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=400 ;

--
-- Dump dei dati per la tabella `struttura_mod`
--

INSERT INTO `struttura_mod` (`id`, `id_mod`, `tipologia_domanda`, `testo_domanda`, `ordine`, `acapo`, `allinea`, `stile`, `char_size`, `obbligatoria`, `data`) VALUES
(159, 23, 6, 'RICHIESTA di PERMESSO ai sensi dell'' ART. 33 della L. 104/92 L. n. 53/00- ATA', 1, 1, 'left', '', 'normal', 0, 0),
(160, 23, 6, 'Art. 16 CCNL 2006-09', 2, 1, 'center', '', 'small', 0, 0),
(161, 23, 6, 'AL DIRIGENTE SCOLASTICO', 3, 1, 'right', '', 'normal', 0, 0),
(162, 23, 6, 'CHIEDO', 4, 1, 'center', '', 'normal', 0, 0),
(163, 23, 1, 'di essere collocato/a in permesso ai sensi della Legge n.104/92 - Legge n. 53/00 per', 5, 1, 'left', '', 'normal', 0, 0),
(164, 23, 6, 'nei seguenti giorni:', 6, 1, 'left', '', 'normal', 0, 0),
(165, 23, 4, 'primo giorno', 7, 1, 'left', '', 'normal', 0, 0),
(166, 23, 4, 'per un totale di gg.', 8, 0, 'left', '', 'normal', 0, 0),
(167, 23, 4, 'relativi al mese di:', 9, 1, 'left', '', 'normal', 0, 0),
(168, 24, 6, 'Al Dirigente Scolastico', 1, 1, 'right', 'g', 'normal', 0, 0),
(169, 24, 6, 'RICHIESTA DI PERMESSO ORARIO in occasione di attività\r\npreviste dal Piano Annuale delle Attività', 2, 1, 'center', 'g', 'strong', 0, 0),
(170, 24, 4, 'Chiede un permesso orario (1) per il giorno', 4, 0, 'left', '', 'normal', 1, 0),
(171, 24, 4, 'dalle ore', 5, 0, 'left', '', 'normal', 1, 0),
(172, 24, 4, 'alle ore', 6, 0, '', '', 'normal', 1, 0),
(173, 24, 4, 'in occasione delle seguenti attività previste dal Piano Annuale delle Attività', 7, 1, 'left', '', 'normal', 0, 0),
(174, 24, 4, 'peri seguenti motivi:', 8, 1, 'left', '', 'normal', 0, 0),
(175, 24, 6, 'Il permesso sarà recuperato conle seguenti attività funzionali all''insegnamento:', 9, 1, 'left', '', 'normal', 0, 0),
(176, 24, 4, '- Partecipazione ai lavori della seguente commissione:', 10, 1, 'left', '', 'normal', 0, 0),
(177, 24, 4, '- Partecipazione alle seguenti attività di formazione organizzate all''interno dell''istituto', 11, 1, 'left', '', 'normal', 0, 0),
(178, 24, 4, '- altro (specificare)', 12, 1, 'left', '', 'normal', 0, 0),
(179, 24, 10, '', 3, 1, 'left', '', 'normal', 0, 0),
(180, 24, 9, '', 13, 1, '', '', 'normal', 0, 0),
(181, 25, 10, '', 2, 1, 'left', '', 'normal', 0, 0),
(182, 25, 6, 'CHIEDE', 3, 1, 'center', 'g', 'normal', 0, 0),
(183, 25, 4, 'di poter effettuare n°', 4, 0, 'left', '', 'normal', 1, 0),
(184, 25, 5, '', 5, 1, '', '', 'normal', 0, 0),
(185, 25, 4, 'il giorno', 6, 0, 'left', '', 'normal', 0, 0),
(186, 25, 4, 'dalle ore', 7, 0, '', '', 'normal', 0, 0),
(187, 25, 4, 'alle ore', 8, 1, '', '', 'normal', 0, 0),
(188, 25, 9, '', 9, 1, '', '', 'normal', 0, 0),
(189, 25, 6, 'RICHIESTA EFFETTUAZIONE LAVORO STRAORDINARIO', 1, 1, 'center', 'g', 'strong', 0, 0),
(190, 27, 6, 'RICHIESTA EFFETTUAZIONE LAVORO STRAORDINARIO', 1, 1, 'center', 'g', 'strong', 0, 0),
(191, 27, 9, '', 9, 1, '', '', 'normal', 0, 0),
(192, 27, 4, 'alle ore', 8, 1, '', '', 'normal', 0, 0),
(193, 27, 4, 'dalle ore', 7, 0, '', '', 'normal', 0, 0),
(194, 27, 4, 'il giorno', 6, 0, 'left', '', 'normal', 0, 0),
(195, 27, 5, '', 5, 1, '', '', 'normal', 0, 0),
(196, 27, 4, 'di poter effettuare n°', 4, 0, 'left', '', 'normal', 1, 0),
(197, 27, 6, 'CHIEDE', 3, 1, 'center', 'g', 'normal', 0, 0),
(198, 27, 10, '', 2, 1, 'left', '', 'normal', 0, 0),
(199, 28, 6, 'RICHIESTA EFFETTUAZIONE LAVORO STRAORDINARIO', 1, 1, 'center', 'g', 'strong', 0, 0),
(200, 28, 9, '', 9, 1, '', '', 'normal', 0, 0),
(201, 28, 4, 'alle ore', 8, 1, '', '', 'normal', 0, 0),
(202, 28, 4, 'dalle ore', 7, 0, '', '', 'normal', 0, 0),
(203, 28, 4, 'il giorno', 6, 0, 'left', '', 'normal', 0, 0),
(204, 28, 5, '', 5, 1, '', '', 'normal', 0, 0),
(205, 28, 4, 'di poter effettuare n°', 4, 0, 'left', '', 'normal', 1, 0),
(206, 28, 6, 'CHIEDE', 3, 1, 'center', 'g', 'normal', 0, 0),
(207, 28, 10, '', 2, 1, 'left', '', 'normal', 0, 0),
(208, 29, 6, 'RICHIESTA EFFETTUAZIONE LAVORO STRAORDINARIO', 1, 1, 'center', 'g', 'strong', 0, 0),
(209, 29, 9, '', 9, 1, '', '', 'normal', 0, 0),
(210, 29, 4, 'alle ore', 8, 1, '', '', 'normal', 0, 0),
(211, 29, 4, 'dalle ore', 7, 0, '', '', 'normal', 0, 0),
(212, 29, 4, 'il giorno', 6, 0, 'left', '', 'normal', 0, 0),
(213, 29, 5, '', 5, 1, '', '', 'normal', 0, 0),
(214, 29, 4, 'di poter effettuare n°', 4, 0, 'left', '', 'normal', 1, 0),
(215, 29, 6, 'CHIEDE', 3, 1, 'center', 'g', 'normal', 0, 0),
(216, 29, 10, '', 2, 1, 'left', '', 'normal', 0, 0),
(217, 30, 6, 'RICHIESTA EFFETTUAZIONE LAVORO STRAORDINARIO', 1, 1, 'center', 'g', 'strong', 0, 0),
(218, 30, 9, '', 9, 1, '', '', 'normal', 0, 0),
(219, 30, 4, 'alle ore', 8, 1, '', '', 'normal', 0, 0),
(220, 30, 4, 'dalle ore', 7, 0, '', '', 'normal', 0, 0),
(221, 30, 4, 'il giorno', 6, 0, 'left', '', 'normal', 0, 0),
(222, 30, 5, '', 5, 1, '', '', 'normal', 0, 0),
(223, 30, 4, 'di poter effettuare n°', 4, 0, 'left', '', 'normal', 1, 0),
(224, 30, 6, 'CHIEDE', 3, 1, 'center', 'g', 'normal', 0, 0),
(225, 30, 10, '', 2, 1, 'left', '', 'normal', 0, 0),
(226, 25, 7, 'ciao', 10, 1, '', '', 'normal', 0, 0),
(228, 31, 6, 'RICHIESTA EFFETTUAZIONE LAVORO STRAORDINARIO', 1, 1, 'center', 'g', 'strong', 0, 0),
(229, 31, 9, 'ciao', 9, 1, '', '', 'normal', 0, 0),
(230, 31, 4, 'alle ore', 8, 1, '', '', 'normal', 0, 0),
(231, 31, 4, 'dalle ore', 7, 0, '', '', 'normal', 0, 0),
(232, 31, 4, 'il giorno', 6, 0, 'left', '', 'normal', 0, 0),
(233, 31, 5, '', 5, 1, '', '', 'normal', 0, 0),
(234, 31, 4, 'di poter effettuare n°', 4, 0, 'left', '', 'normal', 1, 0),
(235, 31, 6, 'CHIEDE', 3, 1, 'center', 'g', 'normal', 0, 0),
(236, 31, 10, '', 2, 1, 'left', '', 'normal', 0, 0),
(238, 32, 7, 'ciao', 10, 1, '', '', 'normal', 0, 0),
(239, 32, 6, 'RICHIESTA EFFETTUAZIONE LAVORO STRAORDINARIO', 1, 1, 'center', 'g', 'strong', 0, 0),
(240, 32, 9, '', 9, 1, '', '', 'normal', 0, 0),
(241, 32, 4, 'alle ore', 8, 1, '', '', 'normal', 0, 0),
(242, 32, 4, 'dalle ore', 7, 0, '', '', 'normal', 0, 0),
(243, 32, 4, 'il giorno', 6, 0, 'left', '', 'normal', 0, 0),
(244, 32, 5, '', 5, 1, '', '', 'normal', 0, 0),
(245, 32, 4, 'di poter effettuare n°', 4, 0, 'left', '', 'normal', 1, 0),
(246, 32, 6, 'CHIEDE', 3, 1, 'center', 'g', 'normal', 0, 0),
(247, 32, 10, '', 2, 1, 'left', '', 'normal', 0, 0),
(248, 33, 4, 'dichiarazione', 1, 1, 'left', 'g', 'normal', 1, 0),
(249, 33, 1, 'multiple choice', 2, 1, 'left', '', 'normal', 1, 0),
(250, 33, 2, 'risposta multipla', 3, 1, 'left', '', 'normal', 1, 0),
(251, 33, 5, 'select', 4, 1, '', '', 'normal', 0, 0),
(252, 33, 6, 'ciao', 5, 1, 'left', '', 'normal', 0, 0),
(253, 33, 7, 'http://www.google.it', 6, 1, '', '', 'normal', 0, 0),
(267, 33, 8, 'Allegarela richiesta', 8, 1, '', '', 'normal', 0, 0),
(268, 33, 10, '', 9, 1, '', '', 'normal', 0, 0),
(269, 33, 9, 'ciao', 10, 1, '', '', 'normal', 0, 0),
(272, 25, 6, 'prova', 11, 1, '', '', 'normal', 0, 0),
(273, 35, 1, 'prova', 1, 1, '', '', 'normal', 0, 0),
(274, 36, 10, '', 1, 1, 'left', '', 'normal', 1, 0),
(275, 36, 6, 'Dichiara, sotto la propria responsabilità, le seguenti variazioni avvenute per le esigenze di famiglia:', 2, 0, 'left', '', 'normal', 0, 0),
(276, 36, 4, 'Ricongiungimento al coniuge, se senza coniuge o separati, ai figli /ai genitori nel comune di', 3, 1, '', '', 'normal', 0, 0),
(277, 36, 4, 'Nome del figlio di età inferiore a 6 anni:', 4, 0, '', '', 'normal', 0, 0),
(278, 36, 4, 'nato a:', 5, 0, '', '', 'normal', 0, 0),
(279, 36, 4, 'il:', 6, 1, '', '', 'normal', 0, 1),
(280, 36, 4, 'Nome del figlio di età superiore ai 6 anni e inferiore a 18', 7, 0, '', '', 'normal', 0, 0),
(281, 36, 4, 'nato a:', 8, 0, '', '', 'normal', 0, 0),
(282, 36, 4, 'il:', 9, 1, '', '', 'normal', 0, 1),
(283, 36, 3, 'Dichiara altresì, sotto la propria responsabilità, eventuali titoli culturali conseguiti dopo il 28/04/2017:\r\nsuperamento pubblico concorso per l''accesso al ruolo di appartenenza o superiore, diplomi\r\nuniversitari, diploma post -laurea, corsi di perfezionamento di durata non inferiore ad un anno,\r\ndottorato di ricerca, per la sola scuola primaria frequenza di corso di aggiornamento; formazione\r\nlinguistica, Corso Clil', 10, 1, '', '', 'normal', 0, 0),
(284, 36, 9, 'Dichiara infine di godere dei benefici della legge 104 per assistenza a familiare residente nel comune di:', 11, 1, '', '', 'normal', 0, 0),
(285, 36, 4, 'Inserisci in questo box il link', 12, 0, '', '', 'normal', 0, 0),
(286, 37, 10, '', 9, 1, '', '', 'normal', 0, 0),
(287, 37, 9, 'ciao', 10, 1, '', '', 'normal', 0, 0),
(288, 37, 5, 'select', 4, 1, '', '', 'normal', 0, 0),
(289, 37, 6, 'ciao', 5, 1, 'left', '', 'normal', 0, 0),
(290, 37, 7, 'http://www.google.it', 6, 1, '', '', 'normal', 0, 0),
(291, 37, 8, 'Allegarela richiesta', 8, 1, '', '', 'normal', 0, 0),
(292, 37, 2, 'risposta multipla', 3, 1, 'left', '', 'normal', 1, 0),
(293, 37, 4, 'dichiarazione', 1, 1, 'left', 'g', 'normal', 1, 0),
(294, 37, 1, 'multiple choice', 2, 1, 'left', '', 'normal', 1, 0),
(295, 38, 4, 'inserisci in questobox il link', 12, 1, '', '', 'normal', 0, 0),
(296, 38, 9, 'Dichiara infine di godere dei benefici della legge 104 per assistenza a familiare residente nel comune di:', 11, 1, '', '', 'normal', 0, 0),
(297, 38, 2, 'nato a:', 8, 0, '', '', 'normal', 0, 0),
(298, 38, 4, 'il:', 9, 1, '', '', 'normal', 0, 0),
(299, 38, 4, 'Dichiara altresì, sotto la propria responsabilità, Eventuali titoli culturali conseguiti dopo il 28/04/2017:\r\nsuperamento pubblico concorso per l’accesso al ruolo di appartenenza o superiore, diplomi\r\nuniversitari, diploma post –laurea, corsi di perfezionamento di durata non inferiore ad un anno,\r\ndottorato di ricerca, per la sola scuola primaria frequenza di corso di aggiornamento;formazione\r\nlinguistica, Corso Clil', 10, 1, '', '', 'normal', 0, 0),
(300, 38, 4, 'numero figli di età inferiore ai 6 anni:', 4, 0, '', '', 'normal', 0, 0),
(301, 38, 4, 'nato a:', 5, 0, '', '', 'normal', 0, 0),
(302, 38, 4, 'il:', 6, 1, '', '', 'normal', 0, 0),
(303, 38, 4, 'numero figli di età superiore ai 6 anni e inferiore a 18', 7, 0, '', '', 'normal', 0, 0),
(304, 38, 4, 'ricongiungimento al coniuge, se senza coniuge o separati, ai figli /ai genitori nel comune\r\ndi', 3, 1, '', '', 'normal', 0, 0),
(305, 38, 6, 'Dichiara, sotto la propria responsabilità, le seguenti variazioni avvenute per le esigenze di famiglia:', 2, 1, 'left', '', 'normal', 0, 0),
(306, 38, 10, '', 1, 1, 'left', '', 'normal', 1, 0),
(307, 40, 10, '	', 3, 1, '', '', 'normal', 0, 0),
(309, 40, 6, 'prova testo invece di firma	', 5, 1, 'center', '', 'strong', 1, 0),
(310, 40, 4, 'Data emissione:	', 5, 0, 'left', '', 'normal', 0, 0),
(322, 40, 2, 'risposta multipla	', 7, 1, '', '', 'strong', 0, 0),
(325, 40, 6, 'prova domanda', 1, 1, '', '', 'strong', 0, 0),
(328, 41, 10, '', 1, 1, 'center', '', 'normal', 0, 0),
(329, 41, 4, 'Chiede un giorno di permesso per il ', 2, 1, 'center', '', 'normal', 0, 1),
(330, 41, 5, 'Prova select', 3, 1, 'right', '', 'normal', 0, 0),
(331, 41, 9, '', 4, 1, '', '', 'normal', 0, 0),
(332, 34, 10, 'dichiarazione', 1, 1, 'left', '', 'normal', 0, 0),
(333, 34, 6, 'denuncia', 2, 1, 'center', '', 'normal', 0, 0),
(334, 34, 4, 'l''infortunio occorso all''allievo', 3, 0, 'left', '', 'normal', 1, 0),
(335, 34, 4, 'il giorno', 4, 0, '', '', 'normal', 1, 1),
(336, 34, 4, 'alle ore', 5, 1, '', '', 'normal', 1, 0),
(337, 34, 12, 'circostanze dell''infortunio', 7, 1, '', '', 'normal', 1, 0),
(338, 34, 12, 'l''alunno è stato soccorso con le seguenti modalità', 8, 1, '', '', 'normal', 0, 0),
(339, 34, 4, 'eventuali testimoni', 9, 1, '', '', 'normal', 0, 0),
(340, 34, 9, '', 11, 1, 'right', '', 'normal', 0, 0),
(342, 34, 6, 'Fa presente quanto segue:', 6, 1, 'center', '', 'normal', 0, 0),
(343, 34, 8, 'allega un file', 12, 1, 'left', '', 'normal', 1, 0),
(344, 46, 10, '', 1, 1, '', '', 'normal', 0, 0),
(345, 46, 8, 'allegato', 2, 1, '', '', 'normal', 0, 0),
(346, 47, 10, '', 1, 1, '', '', 'normal', 0, 0),
(347, 47, 4, 'fdafafd', 2, 1, '', '', 'normal', 0, 0),
(348, 47, 5, 'prova', 3, 1, '', '', 'normal', 0, 0),
(349, 48, 4, 'Inserisci in questo box il link', 12, 0, '', '', 'normal', 0, 0),
(350, 48, 9, 'Dichiara infine di godere dei benefici della legge 104 per assistenza a familiare residente nel comune di:', 11, 1, '', '', 'normal', 0, 0),
(351, 48, 4, 'nato a:', 8, 0, '', '', 'normal', 0, 0),
(352, 48, 4, 'il:', 9, 1, '', '', 'normal', 0, 0),
(353, 49, 4, 'Inserisci in questo box il link', 12, 0, '', '', 'normal', 0, 0),
(354, 49, 9, 'Dichiara infine di godere dei benefici della legge 104 per assistenza a familiare residente nel comune di:', 11, 1, '', '', 'normal', 0, 0),
(355, 49, 4, 'nato a:', 8, 0, '', '', 'normal', 0, 0),
(356, 49, 4, 'il:', 9, 1, '', '', 'normal', 0, 0),
(357, 50, 4, 'Inserisci in questo box il link', 12, 0, '', '', 'normal', 0, 0),
(358, 50, 9, 'Dichiara infine di godere dei benefici della legge 104 per assistenza a familiare residente nel comune di:', 11, 1, '', '', 'normal', 0, 0),
(359, 50, 4, 'nato a:', 8, 0, '', '', 'normal', 0, 0),
(360, 50, 4, 'il:', 9, 1, '', '', 'normal', 0, 0),
(361, 51, 4, 'Inserisci in questo box il link', 12, 0, '', '', 'normal', 0, 0),
(362, 51, 9, 'Dichiara infine di godere dei benefici della legge 104 per assistenza a familiare residente nel comune di:', 11, 1, '', '', 'normal', 0, 0),
(363, 51, 4, 'nato a:', 8, 0, '', '', 'normal', 0, 0),
(364, 51, 4, 'il:', 9, 1, '', '', 'normal', 0, 0),
(365, 51, 3, 'Dichiara altresì, sotto la propria responsabilità, eventuali titoli culturali conseguiti dopo il 28/04/2017:\r\nsuperamento pubblico concorso per l''accesso al ruolo di appartenenza o superiore, diplomi\r\nuniversitari, diploma post -laurea, corsi di perfezionamento di durata non inferiore ad un anno,\r\ndottorato di ricerca, per la sola scuola primaria frequenza di corso di aggiornamento; formazione\r\nlinguistica, Corso Clil', 10, 1, '', '', 'normal', 0, 0),
(366, 51, 4, 'Nome del figlio di età inferiore a 6 anni:', 4, 0, '', '', 'normal', 0, 0),
(367, 51, 4, 'nato a:', 5, 0, '', '', 'normal', 0, 0),
(368, 51, 4, 'il:', 6, 1, '', '', 'normal', 0, 0),
(369, 51, 4, 'Nome del figlio di età superiore ai 6 anni e inferiore a 18', 7, 0, '', '', 'normal', 0, 0),
(370, 51, 4, 'Ricongiungimento al coniuge, se senza coniuge o separati, ai figli /ai genitori nel comune di', 3, 1, '', '', 'normal', 0, 0),
(371, 51, 6, 'Dichiara, sotto la propria responsabilità, le seguenti variazioni avvenute per le esigenze di famiglia:', 2, 0, 'left', '', 'normal', 0, 0),
(372, 51, 10, '', 1, 1, 'left', '', 'normal', 1, 0),
(373, 52, 4, 'Inserisci in questo box il link', 12, 0, '', '', 'normal', 0, 0),
(374, 52, 9, 'Dichiara infine di godere dei benefici della legge 104 per assistenza a familiare residente nel comune di:', 11, 1, '', '', 'normal', 0, 0),
(375, 52, 4, 'nato a:', 8, 0, '', '', 'normal', 0, 0),
(376, 52, 4, 'il:', 9, 1, '', '', 'normal', 0, 0),
(377, 52, 3, 'Dichiara altresì, sotto la propria responsabilità, eventuali titoli culturali conseguiti dopo il 28/04/2017:\r\nsuperamento pubblico concorso per l''accesso al ruolo di appartenenza o superiore, diplomi\r\nuniversitari, diploma post -laurea, corsi di perfezionamento di durata non inferiore ad un anno,\r\ndottorato di ricerca, per la sola scuola primaria frequenza di corso di aggiornamento; formazione\r\nlinguistica, Corso Clil', 10, 1, '', '', 'normal', 0, 0),
(378, 52, 4, 'Nome del figlio di età inferiore a 6 anni:', 4, 0, '', '', 'normal', 0, 0),
(379, 52, 4, 'nato a:', 5, 0, '', '', 'normal', 0, 0),
(380, 52, 4, 'il:', 6, 1, '', '', 'normal', 0, 0),
(381, 52, 4, 'Nome del figlio di età superiore ai 6 anni e inferiore a 18', 7, 0, '', '', 'normal', 0, 0),
(382, 52, 4, 'Ricongiungimento al coniuge, se senza coniuge o separati, ai figli /ai genitori nel comune di', 3, 1, '', '', 'normal', 0, 0),
(383, 52, 6, 'Dichiara, sotto la propria responsabilità, le seguenti variazioni avvenute per le esigenze di famiglia:', 2, 0, 'left', '', 'normal', 0, 0),
(384, 52, 10, '', 1, 1, 'left', '', 'normal', 1, 0),
(385, 55, 9, '', 13, 1, '', '', 'normal', 0, 0),
(386, 55, 10, '', 3, 1, 'left', '', 'normal', 0, 0),
(387, 55, 4, '- altro (specificare)', 12, 1, 'left', '', 'normal', 0, 0),
(388, 55, 4, '- Partecipazione alle seguenti attività di formazione organizzate all''interno dell''istituto', 11, 1, 'left', '', 'normal', 0, 0),
(389, 55, 4, '- Partecipazione ai lavori della seguente commissione:', 10, 1, 'left', '', 'normal', 0, 0),
(390, 55, 4, 'dalle ore', 5, 0, 'left', '', 'normal', 1, 0),
(391, 55, 4, 'alle ore', 6, 0, '', '', 'normal', 1, 0),
(392, 55, 4, 'in occasione delle seguenti attività previste dal Piano Annuale delle Attività', 7, 1, 'left', '', 'normal', 0, 0),
(393, 55, 4, 'peri seguenti motivi:', 8, 1, 'left', '', 'normal', 0, 0),
(394, 55, 6, 'Il permesso sarà recuperato conle seguenti attività funzionali all''insegnamento:', 9, 1, 'left', '', 'normal', 0, 0),
(395, 55, 4, 'Chiede un permesso orario (1) per il giorno', 4, 0, 'left', '', 'normal', 1, 0),
(396, 55, 6, 'RICHIESTA DI PERMESSO ORARIO in occasione di attività\r\npreviste dal Piano Annuale delle Attività', 2, 1, 'center', 'g', 'strong', 0, 0),
(397, 55, 6, 'Al Dirigente Scolastico', 1, 1, 'right', 'g', 'normal', 0, 0),
(398, 53, 12, 'scrivi qualcosa', 1, 1, '', '', 'normal', 0, 0),
(399, 53, 4, 'qualcos''altro', 2, 1, '', '', 'normal', 0, 0);

-- --------------------------------------------------------

--
-- Struttura della tabella `target_verbali`
--

CREATE TABLE IF NOT EXISTS `target_verbali` (
  `id_target_verbali` int(11) NOT NULL AUTO_INCREMENT,
  `tipologiaverbali` varchar(100) NOT NULL,
  `target` varchar(100) NOT NULL,
  `coordinatore` varchar(100) NOT NULL,
  `segretario` varchar(100) NOT NULL,
  `esami` tinyint(1) NOT NULL COMMENT '1:sì, 0: no',
  PRIMARY KEY (`id_target_verbali`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `tipologiamoduli`
--

CREATE TABLE IF NOT EXISTS `tipologiamoduli` (
  `id_tipologiamoduli` int(11) NOT NULL AUTO_INCREMENT,
  `nome_modulo` varchar(255) DEFAULT NULL,
  `richiesta` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1: richiesta; 0:modulo',
  `link` varchar(30) NOT NULL,
  `abilita` int(11) DEFAULT '0',
  `schede` tinyint(4) NOT NULL DEFAULT '0',
  `oggetto` text,
  `azione` varchar(100) DEFAULT NULL,
  `printlink` varchar(100) DEFAULT NULL,
  `title` text,
  `subtitle` text,
  `azione_ds` varchar(30) DEFAULT NULL,
  `azione_dsga` varchar(30) DEFAULT NULL,
  `azione_aa` varchar(30) DEFAULT NULL,
  `target_modulo` varchar(250) DEFAULT NULL,
  `dom_id` int(11) NOT NULL COMMENT 'serve a rendere immodificabile la visibilità dell''area',
  PRIMARY KEY (`id_tipologiamoduli`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=22 ;

--
-- Dump dei dati per la tabella `tipologiamoduli`
--

INSERT INTO `tipologiamoduli` (`id_tipologiamoduli`, `nome_modulo`, `richiesta`, `link`, `abilita`, `schede`, `oggetto`, `azione`, `printlink`, `title`, `subtitle`, `azione_ds`, `azione_dsga`, `azione_aa`, `target_modulo`, `dom_id`) VALUES
(1, 'Assenza per malattia', 1, 'nuovassenza.php', 1, 0, NULL, 'COMUNICA', 'priassenza.php', 'ASSENZA PER MALATTIA', 'Art. 17 e 19 CCNL 2006-09- Circolare n. 7/2008 della Presidenza del Consiglio', 'firma', 'visione', 'visione', 'docenti,ATA', 0),
(2, 'Assenza aspettativa', 1, 'nuovaspettativa.php', 1, 0, NULL, 'CHIEDE', 'priaspettativa.php', 'ASPETTATIVA PER MOTIVI DI FAMIGLIA-STUDIO-LAVORO-INFORTUNIO SUL LAVORO', 'Art. 18 CCNL 2006-09', 'autorizzazione', 'autorizzazione', 'visione', 'docenti,ATA', 0),
(3, 'Richiesta di permesso Legge 104', 1, 'nuovo104.php', 1, 0, NULL, 'CHIEDE', 'pri104.php', 'RICHIESTA di PERMESSO ai sensi dell'' ART. 33 della L. 104/92 L. n. 53/00', 'Art. 16 CCNL 2006-09', 'autorizzazione', 'autorizzazione', 'visione', 'docenti,ATA', 0),
(4, 'Congedo per malattia del figlio', 1, 'nuovocongedob.php', 1, 0, NULL, 'COMUNICA', 'pricongedob.php', 'CONGEDO PER MALATTIA DEL FIGLIO - art. 47 del D.Lvo n. 151/2001', 'Art. 16 CCNL 2006-09', 'firma', 'visione', 'visione', 'docenti,ATA', 0),
(5, 'Congedo di maternità', 1, 'nuovocongedobb.php', 1, 0, NULL, 'COMUNICA', 'pricongedobb.php', 'CONGEDO di MATERNITA - art. 16 del D.Lvo n. 151/2001', NULL, 'firma', 'visione', 'visione', 'docenti,ATA', 0),
(6, 'Richiesta per complicanze gestazione', 1, 'nuovocomplicanzegestazione.php', 1, 0, NULL, 'CHIEDE', 'pricomplicanzegestazione.php', 'DOMANDA PER USUFRUIRE DELL''INTERDIZIONE DAL LAVORO PER GRAVI COMPLICANZE DELLA GESTAZIONE', NULL, 'autorizzazione', 'visione', 'visione', 'docenti,ATA', 0),
(7, 'Richiesta di permesso breve', 1, 'nuovopbreve.php', 1, 0, NULL, 'CHIEDE', 'pripbreve.php', 'RICHIESTA DI PERMESSO BREVE', NULL, 'autorizzazione', 'autorizzazione', 'visione', 'docenti,ATA', 0),
(8, 'Richiesta posticipo maternità', 1, 'nuovoposticipo.php', 1, 0, NULL, 'COMUNICA', 'priposticipo.php', 'POSTICIPO CONGEDO di MATERNITA - art. 20 del D.Lvo n. 151/2001', NULL, 'autorizzazione', 'visione', 'visione', 'docenti,ATA', 0),
(9, 'Richiesta permesso allattamento', 1, 'nuovopermessoa.php', 1, 0, NULL, 'CHIEDE', 'pripermessoa.php', 'DOMANDA PER USUFRUIRE DEL PERMESSO DI ALLATTAMENTO', NULL, 'autorizzazione', 'visione', 'visione', 'docenti,ATA', 0),
(10, 'Richiesta di congedo', 1, 'nuovocongedo.php', 1, 0, NULL, 'CHIEDE', 'pricongedo.php', 'RICHIESTA DI CONGEDO', NULL, 'autorizzazione', 'autorizzazione', 'visione', 'docenti,ATA', 0),
(11, 'Congedo parentale', 1, 'nuovocongedop.php', 1, 0, NULL, 'COMUNICA', 'pricongedop.php', 'DOMANDA PER USUFRUIRE DI CONGEDO PARENTALE', NULL, 'autorizzazione', 'visione', 'visione', 'docenti,ATA', 0),
(12, 'Prestito materiale didattico', 1, 'nuovarichiestaprestito.php', 1, 0, NULL, 'CHIEDE', 'pririchiestaprestito.php', NULL, NULL, 'firma', 'visione', 'visione', 'docenti', 0),
(13, 'Comodato', 1, 'nuovocomodatoduso.php', 1, 1, 'OGGETTO: COMODATO D''USO', 'COMUNICA', 'pricomodatoduso.php', NULL, NULL, 'autorizzazione', 'visione', 'visione', 'docenti,ATA', 0),
(14, 'Proposta di donazione', 1, 'nuovapropostadonazione.php', 1, 1, 'OGGETTO: PROPOSTA DI DONAZIONE', 'COMUNICA', 'pripropostadonazione.php', NULL, NULL, 'autorizzazione', 'visione', 'visione', 'docenti,ATA', 0),
(15, 'Acquisto materiale', 1, 'nuovarichiestamateriale.php', 1, 1, 'OGGETTO: RICHIESTA DI ACQUISTO MATERIALE', 'RICHIEDE', 'pririchiestamateriale.php', NULL, NULL, 'autorizzazione', 'autorizzazione', 'visione', 'docenti,ATA', 0),
(16, 'Richiesta ferie', 1, 'nuovarichiestaferie.php', 1, 1, NULL, 'CHIEDE', 'pririchiestaferie.php', NULL, NULL, 'autorizzazione', 'autorizzazione', 'visione', 'docenti,ATA', 0),
(17, 'Cambio orario', 1, 'nuovocambioorario.php', 1, 0, 'OGGETTO: RICHIESTA DI CAMBIO ORARIO DOCENTI', 'CHIEDE', 'pricambioorario.php', NULL, NULL, 'autorizzazione', 'autorizzazione', 'visione', 'docenti,ATA', 0),
(19, 'Richiesta del genitore al Dirigente', 1, 'nuovarichiestads.php', 1, 0, 'OGGETTO: Richiesta al Dirigente Scolastico', 'RICHIEDE', 'pririchiestads.php', NULL, NULL, 'autorizzazione', 'visione', 'visione', 'genitore', 0),
(20, 'Richiesta recupero ore di permesso breve', 1, 'nuovarichiestarecbreve.php', 1, 0, 'OGGETTO: Richiesta recupero ore di permesso breve', 'COMUNICA', 'pririchiestarecbreve.php', NULL, NULL, 'autorizzazione', NULL, 'visione', 'docenti,ATA', 0),
(21, 'Richiesta recupero ore svolte in eccedenza', 1, 'nuovarichiestarececc.php', 1, 0, 'OGGETTO: Richiesta recupero ore svolte in eccedenza', 'CHIEDE', 'pririchiestarececc.php', NULL, NULL, 'autorizzazione', NULL, 'visione', 'docenti', 0);

-- --------------------------------------------------------

--
-- Struttura della tabella `tipologiaobiettivi`
--

CREATE TABLE IF NOT EXISTS `tipologiaobiettivi` (
  `id_tipologiaobiettivi` int(11) NOT NULL AUTO_INCREMENT,
  `tipologia` varchar(255) NOT NULL,
  `hint` varchar(255) NOT NULL,
  PRIMARY KEY (`id_tipologiaobiettivi`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Dump dei dati per la tabella `tipologiaobiettivi`
--

INSERT INTO `tipologiaobiettivi` (`id_tipologiaobiettivi`, `tipologia`, `hint`) VALUES
(9, 'Numero di classi o alunni coinvolte', 'Indicare se si tratta di alunni o classi e specificare il numero'),
(10, 'Numero di certificazioni conseguite dagli studenti', 'Indicare di quale tipo di certificazione si tratta e il numero atteso');

-- --------------------------------------------------------

--
-- Struttura della tabella `tipologiaorari`
--

CREATE TABLE IF NOT EXISTS `tipologiaorari` (
  `id_tipologiaorari` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(50) NOT NULL,
  `periodo_settimanale` tinyint(1) NOT NULL DEFAULT '1',
  `giorni` int(1) NOT NULL,
  `ora1` varchar(12) NOT NULL,
  `ora2` varchar(12) NOT NULL,
  `ora3` varchar(12) NOT NULL,
  `ora4` varchar(12) NOT NULL,
  `ora5` varchar(12) NOT NULL,
  `ora6` varchar(12) NOT NULL,
  `ora7` varchar(12) NOT NULL,
  `ora8` varchar(12) NOT NULL,
  `ora9` varchar(12) NOT NULL,
  `ora10` varchar(12) NOT NULL,
  `ora11` varchar(12) NOT NULL,
  `ora12` varchar(12) NOT NULL,
  `ora13` varchar(12) NOT NULL,
  `ora14` varchar(12) NOT NULL,
  PRIMARY KEY (`id_tipologiaorari`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

--
-- Dump dei dati per la tabella `tipologiaorari`
--

INSERT INTO `tipologiaorari` (`id_tipologiaorari`, `nome`, `periodo_settimanale`, `giorni`, `ora1`, `ora2`, `ora3`, `ora4`, `ora5`, `ora6`, `ora7`, `ora8`, `ora9`, `ora10`, `ora11`, `ora12`, `ora13`, `ora14`) VALUES
(1, 'infanzia', 1, 5, '8:00-9:00', '9:00-9:30', '9:30-10:30', '10:30-11:30', '11:30-12:30', '12:30-14:00', '14:00-15:00', '15:00-16:00', '', '', '', '', '', ''),
(2, 'primaria', 2, 5, '8:00-9:00', '9:00-9:30', '9:30-10:30', '10:30-11:30', '11:30-12:30', '12:30-14:00', '14:00-15:00', '15:00-16:30', '16:30-17:30', '', '', '', '', '');

-- --------------------------------------------------------

--
-- Struttura della tabella `tipologiaprogetti`
--

CREATE TABLE IF NOT EXISTS `tipologiaprogetti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_type` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Dump dei dati per la tabella `tipologiaprogetti`
--

INSERT INTO `tipologiaprogetti` (`id`, `project_type`) VALUES
(1, 'Istituto comprensivo'),
(4, 'Educazione stradale');

-- --------------------------------------------------------

--
-- Struttura della tabella `tipologiarelazioni`
--

CREATE TABLE IF NOT EXISTS `tipologiarelazioni` (
  `id_tipologiarelazioni` int(11) NOT NULL AUTO_INCREMENT,
  `tipologiarelazioni` varchar(100) NOT NULL,
  `vis_pubblica` tinyint(1) NOT NULL DEFAULT '0',
  `vis_coord` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_tipologiarelazioni`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `tipologiasgq`
--

CREATE TABLE IF NOT EXISTS `tipologiasgq` (
  `id_sgq` int(11) NOT NULL AUTO_INCREMENT,
  `sigla` varchar(50) NOT NULL,
  `sgq_type` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id_sgq`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

--
-- Dump dei dati per la tabella `tipologiasgq`
--

INSERT INTO `tipologiasgq` (`id_sgq`, `sigla`, `sgq_type`) VALUES
(1, 'generale', 'Documenti generali'),
(2, 'secondaria', 'Scuola secondaria'),
(3, 'primaria', 'Scuola primaria'),
(4, 'infanzia', 'Scuola infanzia'),
(5, 'sicurezza', 'Sicurezza ');

-- --------------------------------------------------------

--
-- Struttura della tabella `tipologiaverbali`
--

CREATE TABLE IF NOT EXISTS `tipologiaverbali` (
  `id_tipologiaverbali` int(11) NOT NULL AUTO_INCREMENT,
  `tipologiaverbali` varchar(50) NOT NULL,
  PRIMARY KEY (`id_tipologiaverbali`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

--
-- Dump dei dati per la tabella `tipologiaverbali`
--

INSERT INTO `tipologiaverbali` (`id_tipologiaverbali`, `tipologiaverbali`) VALUES
(1, 'Consiglio di classe'),
(2, 'Commissione'),
(3, 'Dipartimento'),
(4, 'Funzioni Strumentali'),
(5, 'Relazioni finali H');

-- --------------------------------------------------------

--
-- Struttura della tabella `tipologia_domande`
--

CREATE TABLE IF NOT EXISTS `tipologia_domande` (
  `id` int(11) NOT NULL,
  `tipo` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `tipologia_domande`
--

INSERT INTO `tipologia_domande` (`id`, `tipo`) VALUES
(1, 'scelta multipla'),
(2, 'risposta multipla'),
(3, 'vero o falso'),
(4, 'risposta aperta'),
(5, 'select'),
(6, 'testo'),
(7, 'link'),
(8, 'allegato'),
(9, 'firma'),
(10, 'nuova pagina');

-- --------------------------------------------------------

--
-- Struttura della tabella `tipologia_domande_rich`
--

CREATE TABLE IF NOT EXISTS `tipologia_domande_rich` (
  `id` int(11) NOT NULL,
  `tipo` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `tipologia_domande_rich`
--

INSERT INTO `tipologia_domande_rich` (`id`, `tipo`) VALUES
(1, 'scelta multipla'),
(2, 'risposta multipla'),
(4, 'risposta breve'),
(5, 'select'),
(6, 'testo'),
(7, 'link'),
(8, 'allegato'),
(9, 'firma'),
(10, 'dichiarazione'),
(12, 'paragrafo');

-- --------------------------------------------------------

--
-- Struttura della tabella `tipologia_lezioni`
--

CREATE TABLE IF NOT EXISTS `tipologia_lezioni` (
  `id_tipologia_lezioni` int(11) NOT NULL AUTO_INCREMENT,
  `sigla` varchar(10) NOT NULL,
  `nome` varchar(100) NOT NULL,
  PRIMARY KEY (`id_tipologia_lezioni`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dump dei dati per la tabella `tipologia_lezioni`
--

INSERT INTO `tipologia_lezioni` (`id_tipologia_lezioni`, `sigla`, `nome`) VALUES
(8, 'LF', 'Lezione frontale'),
(9, 'LAB', 'Laboratorio');

-- --------------------------------------------------------

--
-- Struttura della tabella `tipo_doc_bes`
--

CREATE TABLE IF NOT EXISTS `tipo_doc_bes` (
  `id_tipo_doc_bes` int(11) NOT NULL AUTO_INCREMENT,
  `tipo` varchar(100) CHARACTER SET utf32 NOT NULL,
  PRIMARY KEY (`id_tipo_doc_bes`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- Dump dei dati per la tabella `tipo_doc_bes`
--

INSERT INTO `tipo_doc_bes` (`id_tipo_doc_bes`, `tipo`) VALUES
(1, 'PEI anno in corso'),
(2, 'PEI anno precedente'),
(3, 'Profilo descrittivo di funzionamento (ex diagnosi funzionale)'),
(4, 'Verbale INPS'),
(5, 'Profilo dinamico funzionale (PDF)'),
(6, 'PDP anno in corso'),
(7, 'PDP anno precedente'),
(8, 'Certificazione BES');

-- --------------------------------------------------------

--
-- Struttura della tabella `titoli`
--

CREATE TABLE IF NOT EXISTS `titoli` (
  `utente` varchar(100) NOT NULL DEFAULT '',
  `istituto` varchar(255) NOT NULL DEFAULT '',
  `qualifica_conseguita` varchar(255) NOT NULL DEFAULT '',
  `periodo` varchar(100) NOT NULL,
  `votazione` varchar(15) DEFAULT '0',
  `id_titoli` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_titoli`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `tracciamento`
--

CREATE TABLE IF NOT EXISTS `tracciamento` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(50) NOT NULL DEFAULT '',
  `azione` varchar(50) NOT NULL DEFAULT '',
  `tabella` varchar(50) NOT NULL DEFAULT '',
  `record` varchar(50) DEFAULT NULL,
  `tempo` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- Dump dei dati per la tabella `tracciamento`
--

INSERT INTO `tracciamento` (`id`, `utente`, `azione`, `tabella`, `record`, `tempo`) VALUES
(1, 'administrator', 'modifica', 'dati generali', '', '03-29-20 16:12:49'),
(2, 'administrator', 'modifica', 'dati generali', '', '03-29-20 16:13:54'),
(3, 'administrator', 'modifica', 'dati generali', '', '03-29-20 16:15:16'),
(4, 'administrator', 'modifica', 'dati generali', '', '03-29-20 16:15:24'),
(5, 'administrator', 'modifica', 'dati generali', '', '03-29-20 16:25:29'),
(6, 'administrator', 'modifica', 'dati generali', '', '04-20-20 12:15:22'),
(7, 'administrator', 'modifica', 'dati generali', '', '04-20-20 12:16:34'),
(8, 'administrator', 'modifica', 'dati generali', '', '04-20-20 12:22:43');

-- --------------------------------------------------------

--
-- Struttura della tabella `uffici`
--

CREATE TABLE IF NOT EXISTS `uffici` (
  `cod` varchar(6) NOT NULL DEFAULT '',
  `desc` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`cod`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `uffici`
--

INSERT INTO `uffici` (`cod`, `desc`) VALUES
('DID', 'Didattica'),
('DIR', 'Dirigenza'),
('DSGA', 'Dsga'),
('PER', 'Personale');

-- --------------------------------------------------------

--
-- Struttura della tabella `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `oauth_provider` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `oauth_uid` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `fname` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `lname` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `gender` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `locale` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `gpluslink` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `utenti`
--

CREATE TABLE IF NOT EXISTS `utenti` (
  `utente` varchar(100) NOT NULL,
  `id_utente` int(11) NOT NULL AUTO_INCREMENT,
  `password` varchar(254) NOT NULL,
  `ruolo` varchar(40) NOT NULL,
  `nome` varchar(50) DEFAULT NULL,
  `cognome` varchar(50) DEFAULT NULL,
  `natoa` varchar(50) DEFAULT NULL,
  `natoil` date DEFAULT '0000-00-00',
  `via` varchar(80) DEFAULT NULL,
  `citta` varchar(80) DEFAULT NULL,
  `tel` varchar(15) DEFAULT NULL,
  `plesso` varchar(100) DEFAULT NULL,
  `contratto` varchar(20) DEFAULT NULL,
  `email` varchar(254) DEFAULT NULL,
  `ch_password` date NOT NULL,
  `num_accessi` int(6) DEFAULT NULL,
  `ultimo_accesso` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `accessi_mobile` int(11) NOT NULL DEFAULT '0',
  `datains` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `superuser` tinyint(1) NOT NULL DEFAULT '0',
  `resp_progetti` tinyint(1) NOT NULL DEFAULT '0',
  `super_progetti` tinyint(1) NOT NULL DEFAULT '0',
  `pubb_circolari` tinyint(1) NOT NULL DEFAULT '0',
  `super_circolari` tinyint(1) NOT NULL DEFAULT '0',
  `pubb_atti` tinyint(1) NOT NULL DEFAULT '0',
  `pubb_aggiornamenti` tinyint(1) NOT NULL DEFAULT '0',
  `pubb_bacheca` tinyint(1) NOT NULL DEFAULT '0',
  `super_bacheca` tinyint(1) NOT NULL DEFAULT '0',
  `super_verbali` tinyint(1) NOT NULL DEFAULT '0',
  `super_relazioni` tinyint(1) NOT NULL DEFAULT '0',
  `super_registri` tinyint(1) NOT NULL DEFAULT '0',
  `super_richieste` tinyint(1) DEFAULT '0',
  `pubb_sgq` tinyint(1) NOT NULL DEFAULT '0',
  `super_sgq` tinyint(1) NOT NULL DEFAULT '0',
  `super_cv` tinyint(1) NOT NULL DEFAULT '0',
  `super_bes` tinyint(1) NOT NULL DEFAULT '0',
  `super_mad` tinyint(1) NOT NULL DEFAULT '0',
  `super_biblio` tinyint(1) NOT NULL DEFAULT '0',
  `gest_prestiti` tinyint(1) NOT NULL DEFAULT '0',
  `resp_sicurezza` tinyint(100) NOT NULL DEFAULT '0',
  `profilo` tinyint(1) NOT NULL DEFAULT '0',
  `tracciamento` tinyint(1) NOT NULL DEFAULT '0',
  `datigenerali` tinyint(1) NOT NULL DEFAULT '0',
  `cod_fiscale` varchar(16) NOT NULL,
  `stato` int(11) DEFAULT '1',
  PRIMARY KEY (`utente`),
  KEY `id_utente` (`id_utente`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dump dei dati per la tabella `utenti`
--

INSERT INTO `utenti` (`utente`, `id_utente`, `password`, `ruolo`, `nome`, `cognome`, `natoa`, `natoil`, `via`, `citta`, `tel`, `plesso`, `contratto`, `email`, `ch_password`, `num_accessi`, `ultimo_accesso`, `accessi_mobile`, `datains`, `superuser`, `resp_progetti`, `super_progetti`, `pubb_circolari`, `super_circolari`, `pubb_atti`, `pubb_aggiornamenti`, `pubb_bacheca`, `super_bacheca`, `super_verbali`, `super_relazioni`, `super_registri`, `super_richieste`, `pubb_sgq`, `super_sgq`, `super_cv`, `super_bes`, `super_mad`, `super_biblio`, `gest_prestiti`, `resp_sicurezza`, `profilo`, `tracciamento`, `datigenerali`, `cod_fiscale`, `stato`) VALUES
('administrator', 1, '*9F880DA1329B4B497F247AA25727CCDD5F4DD2E0', 'ds', 'admin', 'admin', 'naso', '1981-01-11', 'via roma,  15', 'Voghera', '6786967981', '', 'Tempo determinato', 'marzio.rivera@gmail.com', '2020-04-20', 1049, '2020-04-20 12:14:02', 0, '0000-00-00 00:00:00', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, '', 1);

-- --------------------------------------------------------

--
-- Struttura della tabella `utilizzatori`
--

CREATE TABLE IF NOT EXISTS `utilizzatori` (
  `id_utilizzatori` int(11) NOT NULL AUTO_INCREMENT,
  `sigla` varchar(50) NOT NULL,
  `utilizzatori` varchar(200) NOT NULL,
  PRIMARY KEY (`id_utilizzatori`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=32 ;

--
-- Dump dei dati per la tabella `utilizzatori`
--

INSERT INTO `utilizzatori` (`id_utilizzatori`, `sigla`, `utilizzatori`) VALUES
(1, 'Tutti', 'Tutti'),
(2, 'RD', 'Rappresentante della Dirigenza'),
(3, 'RGQD', 'Resp. sistema gestione Qualità'),
(4, 'AUD', 'Valutatore Interno'),
(5, 'DPO', 'Titolare del trattamento (Privacy)'),
(6, 'DIR', 'Dirigente'),
(7, 'RGQP', 'Resp. sistema gestione Qualità di plesso'),
(8, 'RAN', 'Incaricato antincendio'),
(9, 'RIN', 'Incaricato primo soccorso'),
(10, 'RTY', 'Resp. del trattamento (Privacy) 1-2 tipo'),
(11, 'ITY', 'Incaricati del trattamento (Privacy) 1-2-3 tipo'),
(12, 'DSG', 'Direttore servizi amministrativi'),
(13, 'RDS', 'Responsabile di plesso'),
(14, 'POF', 'FS area POF'),
(15, 'VAL', 'FS Valutazione'),
(16, 'ORI', 'FS Orientamento'),
(17, 'FOR', 'FS formazione'),
(18, 'RSPP', 'Resp. sicurezza prevenzione e protezione'),
(19, 'RLS', 'Rappresentante dei lavoratori'),
(20, 'SEG', 'Segreteria didattica (Corsi)'),
(21, 'DOC', 'Docente'),
(22, 'FAD', 'Responsabile FAD'),
(23, 'MDD', 'Formatore FAD o Mediatore didattico'),
(25, 'BES', 'FS BES'),
(26, 'COM', 'FS Comunicazione'),
(27, 'ADH', 'Docente di sostegno'),
(28, 'SGM', 'Segreteria Amm.va'),
(29, 'DCO', 'Esperti Esterni'),
(31, 'PRE', 'presidi');

-- --------------------------------------------------------

--
-- Struttura della tabella `verbali`
--

CREATE TABLE IF NOT EXISTS `verbali` (
  `id_verbali` int(11) NOT NULL AUTO_INCREMENT,
  `id_def_verbali` int(11) NOT NULL,
  `id_target_verbali` int(11) NOT NULL,
  `target` varchar(50) NOT NULL,
  `stato` varchar(50) NOT NULL,
  `pdf` varchar(255) NOT NULL,
  `presidente` varchar(100) NOT NULL,
  `verbalizzatore` varchar(100) NOT NULL,
  `presenti` text NOT NULL,
  `assenti` text NOT NULL,
  `data_riunione` date NOT NULL DEFAULT '0000-00-00',
  `ora_inizio` varchar(6) NOT NULL,
  `ora_fine` varchar(6) NOT NULL,
  `data_inoltro` date NOT NULL DEFAULT '0000-00-00',
  `odg1` text,
  `odg2` text,
  `odg3` text,
  `odg4` text,
  `odg5` text,
  `odg6` text,
  `odg7` text,
  `odg8` text,
  `odg9` text,
  `odg10` text,
  `allegato` varchar(255) NOT NULL,
  PRIMARY KEY (`id_verbali`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `vis_per_circolari`
--

CREATE TABLE IF NOT EXISTS `vis_per_circolari` (
  `id_vis_per_circolari` int(11) NOT NULL AUTO_INCREMENT,
  `id_utente` int(11) NOT NULL,
  `id_circolari` int(11) NOT NULL,
  `data_vis` datetime NOT NULL,
  `ip` varchar(15) NOT NULL,
  PRIMARY KEY (`id_vis_per_circolari`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struttura della tabella `whoisonline`
--

CREATE TABLE IF NOT EXISTS `whoisonline` (
  `id_whoisonline` int(11) NOT NULL AUTO_INCREMENT,
  `id_utente` int(11) NOT NULL,
  `accesso` datetime NOT NULL,
  PRIMARY KEY (`id_whoisonline`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Dump dei dati per la tabella `whoisonline`
--

INSERT INTO `whoisonline` (`id_whoisonline`, `id_utente`, `accesso`) VALUES
(5, 1, '2020-04-20 12:14:02');

ALTER TABLE tipo_doc_bes ADD COLUMN utente VARCHAR(100);

ALTER TABLE registri ADD COLUMN forfait TINYINT(1) DEFAULT '0' AFTER redattore;
ALTER TABLE registri ADD COLUMN compenso FLOAT AFTER forfait;
ALTER TABLE utenti ADD COLUMN vis_orari TINYINT(1) DEFAULT '0' AFTER superuser;
INSERT into permessi_utenti (nome,descrizione,ordinamento) VALUES ('vis_orari','Utente abilitato alla visualizzazione degli orari dei docenti','25');

CREATE TABLE IF NOT EXISTS elezioni (
  id_elezioni int(11) NOT NULL AUTO_INCREMENT,
  descrizione varchar(255) NOT NULL,
  stato varchar(50) NOT NULL,
  anno_scolastico varchar(10) NOT NULL,
  tipologia_candidati int(1) NOT NULL COMMENT '0:docenti;1:ata;2:genitori;3:alunni',
  inizio datetime NOT NULL,
  fine datetime NOT NULL,
  pref_max int(2) NOT NULL,
  iscritti int(4) NOT NULL,
  voti_validi int(11) NOT NULL DEFAULT '0',
  schede_bianche int(11) NOT NULL DEFAULT '0',
  presidente varchar(100) DEFAULT NULL,
  scrutatore varchar(100) DEFAULT NULL,
  segretario varchar(100) DEFAULT NULL,
  data_verbale datetime DEFAULT NULL,
  verbale varchar(255) DEFAULT NULL,
  PRIMARY KEY (id_elezioni)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS liste_elezioni (
  id_liste_elezioni int(11) NOT NULL AUTO_INCREMENT,
  romano varchar(3) DEFAULT NULL,
  motto varchar(255) DEFAULT NULL,
  id_elezioni int(11) NOT NULL,
  voti int(11) NOT NULL,
  PRIMARY KEY (id_liste_elezioni)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS candidati_elezioni (
  id_candidati_elezioni int(11) NOT NULL AUTO_INCREMENT,
  candidato varchar(100) NOT NULL COMMENT 'utente della tabella utenti',
  id_liste_elezioni int(11) NOT NULL,
  voti int(11) NOT NULL,
  PRIMARY KEY (id_candidati_elezioni)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS votazioni_utenti (
  id_votazioni_utenti int(11) NOT NULL AUTO_INCREMENT,
  id_elezioni int(11) NOT NULL,
  data_voto datetime NOT NULL,
  utente varchar(100) NOT NULL,
  PRIMARY KEY (id_votazioni_utenti)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

UPDATE aree SET auth='interni' WHERE auth='';

ALTER TABLE utenti ADD COLUMN super_elezioni TINYINT(1) DEFAULT '0' AFTER gest_prestiti;
INSERT into permessi_utenti (nome,descrizione,ordinamento) VALUES ('super_elezioni','Utente abilitato alla gestione delle elezioni','26');

INSERT INTO aree (area, id_sezione_aree, attivo, blocco, titolo, auth, menu) VALUES
('Elezioni', 1, 1, 0, 'Elezioni OO CC', '', 'menu_elezioni.php');
